<?php

namespace Database\Seeders\Admin;

use App\Models\Admin\PaymentGateway;
use App\Models\Admin\PaymentGatewayCurrency;
use Illuminate\Database\Seeder;

class PaymentGatewaySeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        //============================Paypal add money automatic start=================================================
        $data = array('slug' => 'add-money','code' => '105','type' => 'AUTOMATIC','name' => 'Paypal','title' => 'Paypal Gateway','alias' => 'paypal','image' => '74f69a7a-efec-4e72-8983-43e0c488b733.webp','credentials' => '[{"label":"Client ID","placeholder":"Enter Client ID","name":"client-id","value":"AZhkSGtOqSoGsixors18c5UDkmHD53TzNogt2ksVfxqDeu1RzqdjMClVv8VGarayaAH1exMK0JHMjE8v"},{"label":"Secret ID","placeholder":"Enter Secret ID","name":"secret-id","value":"EOmsQW73ja4jFXUIpkeTuKj5qLcqiXRCPZMPx-2UNzNy729C5lzN8cYIdZRfHIx7xPVh9cyaeByefXJL"}]','supported_currencies' => '["USD","GBP","PHP","NZD","MYR","EUR","CNY","CAD","AUD"]','crypto' => '0','desc' => NULL,'input_fields' => NULL,'env' => 'SANDBOX','status' => '1','last_edit_by' => '1','created_at' => '2023-05-29 11:09:41','updated_at' => '2023-09-27 07:11:15');
        $gateway_id = PaymentGateway::insertGetId($data);

        $gateway_currency = array(
            array('payment_gateway_id' => $gateway_id,'name' => 'Paypal CAD','alias' => 'add-money-paypal-cad-automatic','currency_code' => 'CAD','currency_symbol' => '$','image' => NULL,'min_limit' => '1.00000000','max_limit' => '5000.00000000','percent_charge' => '2.00000000','fixed_charge' => '1.00000000','rate' => '1.37000000','created_at' => '2023-05-29 11:15:57','updated_at' => '2023-10-22 06:56:35'),
            array('payment_gateway_id' => $gateway_id,'name' => 'Paypal GBP','alias' => 'add-money-paypal-gbp-automatic','currency_code' => 'GBP','currency_symbol' => '£','image' => NULL,'min_limit' => '5.00000000','max_limit' => '100.00000000','percent_charge' => '2.00000000','fixed_charge' => '1.00000000','rate' => '0.82000000','created_at' => '2023-05-29 11:15:57','updated_at' => '2023-10-22 06:56:35'),
            array('payment_gateway_id' => $gateway_id,'name' => 'Paypal USD','alias' => 'add-money-paypal-usd-automatic','currency_code' => 'USD','currency_symbol' => '$','image' => NULL,'min_limit' => '10.00000000','max_limit' => '500.00000000','percent_charge' => '2.00000000','fixed_charge' => '1.00000000','rate' => '1.00000000','created_at' => '2023-05-29 11:15:57','updated_at' => '2023-10-22 06:56:35'),
        );
        PaymentGatewayCurrency::insert($gateway_currency);
        //============================Paypal add money automatic end=================================================
        //============================Stripe add money automatic start=================================================
        $data = array('slug' => 'add-money','code' => '120','type' => 'AUTOMATIC','name' => 'Stripe','title' => 'Stripe Payment Gateway','alias' => 'stripe','image' => NULL,'credentials' => '[{"label":"Secret Id","placeholder":"Enter Secret Id","name":"secret-id","value":"sk_test_51NECrlJXLo7QTdMc2x7K5LaDuiS0MGNYHkO9dzzV0Y9XuWNZsXjECFsusjZEnqtxMIjCh3qtogc5sHHwL2oQ083900aFy1k7DE"},{"label":"Publishable Key","placeholder":"Enter Publishable Key","name":"publishable-key","value":"pk_test_51NECrlJXLo7QTdMco2E4YxHSeoBnDvKmmi0CZl3hxjGgH1JwgcLVUF3ZR0yFraoRgT7hf0LtOReFADhShAZqTNuB003PnBSlGP"}]','supported_currencies' => '["USD","AUD","CAD","BDT"]','crypto' => '0','desc' => NULL,'input_fields' => NULL,'env' => 'SANDBOX','status' => '1','last_edit_by' => '1','created_at' => '2023-09-27 09:26:58','updated_at' => '2023-09-27 09:31:01');
        $gateway_id = PaymentGateway::insertGetId($data);

        $gateway_currency = array(
            array('payment_gateway_id' => $gateway_id,'name' => 'Stripe USD','alias' => 'add-money-stripe-usd-automatic','currency_code' => 'USD','currency_symbol' => '$','image' => NULL,'min_limit' => '10.00000000','max_limit' => '50000.00000000','percent_charge' => '1.00000000','fixed_charge' => '1.00000000','rate' => '1.00000000','created_at' => '2023-09-27 09:31:01','updated_at' => '2023-10-31 12:16:02'),
            array('payment_gateway_id' => $gateway_id,'name' => 'Stripe AUD','alias' => 'add-money-stripe-aud-automatic','currency_code' => 'AUD','currency_symbol' => 'A$','image' => NULL,'min_limit' => '1.00000000','max_limit' => '10000.00000000','percent_charge' => '1.00000000','fixed_charge' => '1.00000000','rate' => '1.55000000','created_at' => '2023-09-27 09:31:01','updated_at' => '2023-10-31 12:16:02'),
        );
        PaymentGatewayCurrency::insert($gateway_currency);
        //============================Stripe add money automatic end=================================================
        //============================Flutterwave add money automatic start=================================================
        $data =  array('slug' => 'add-money','code' => '125','type' => 'AUTOMATIC','name' => 'Flutterwave','title' => 'Flutterwave Payement Gateway','alias' => 'flutterwave','image' => NULL,'credentials' => '[{"label":"Encryption key","placeholder":"Enter Encryption key","name":"encryption-key","value":"FLWSECK_TEST27bee2235efd"},{"label":"Secret key","placeholder":"Enter Secret key","name":"secret-key","value":"FLWSECK_TEST-da35e3dbd28be1e7dc5d5f3519e2ebef-X"},{"label":"Public key","placeholder":"Enter Public key","name":"public-key","value":"FLWPUBK_TEST-e0bc02a00395b938a4a2bed65e1bc94f-X"}]','supported_currencies' => '["NGN","USD"]','crypto' => '0','desc' => NULL,'input_fields' => NULL,'env' => 'SANDBOX','status' => '1','last_edit_by' => '1','created_at' => '2023-10-02 11:23:52','updated_at' => '2023-10-02 11:25:39');
        $gateway_id = PaymentGateway::insertGetId($data);

        $gateway_currency = array(
            array('payment_gateway_id' => $gateway_id,'name' => 'Flutterwave NGN','alias' => 'add-money-flutterwave-ngn-automatic','currency_code' => 'NGN','currency_symbol' => '₦','image' => NULL,'min_limit' => '1000.00000000','max_limit' => '100000.00000000','percent_charge' => '1.00000000','fixed_charge' => '0.00000000','rate' => '464.00000000','created_at' => '2023-10-02 11:25:39','updated_at' => '2023-10-02 11:25:39'),
        );
        PaymentGatewayCurrency::insert($gateway_currency);
        //============================Flutterwave add money automatic end=================================================
        //============================AD PAY add money manual start=================================================
        $data =  array('slug' => 'add-money','code' => '110','type' => 'MANUAL','name' => 'AD PAY','title' => 'AD PAY Gateway','alias' => 'ad-pay','image' => NULL,'credentials' => NULL,'supported_currencies' => '["USD"]','crypto' => '0','desc' => '<h4><strong>Please follow the instructions below:</strong></h4><p><strong>Fill up all fields with correct information.</strong></p>','input_fields' => '[{"type":"file","label":"NID","name":"nid","required":false,"validation":{"max":"10","mimes":["pdf"],"min":0,"options":[],"required":false}},{"type":"file","label":"Screenshoot","name":"screenshoot","required":true,"validation":{"max":"10","mimes":["jpg","png","webp","svg"],"min":0,"options":[],"required":true}},{"type":"text","label":"Transaction ID","name":"transaction_id","required":true,"validation":{"max":"60","mimes":[],"min":"0","options":[],"required":true}},{"type":"text","label":"Full Name","name":"full_name","required":true,"validation":{"max":"30","mimes":[],"min":"0","options":[],"required":true}}]','env' => NULL,'status' => '1','last_edit_by' => '1','created_at' => NULL,'updated_at' => '2023-10-06 11:34:31');
        $gateway_id = PaymentGateway::insertGetId($data);

        $gateway_currency = array(
            array('payment_gateway_id' => $gateway_id,'name' => 'AD PAY USD','alias' => 'add-money-ad-pay-usd-manual','currency_code' => 'USD','currency_symbol' => '$','image' => NULL,'min_limit' => '1.00000000','max_limit' => '5000.00000000','percent_charge' => '2.00000000','fixed_charge' => '1.00000000','rate' => '1.00000000','created_at' => '2023-05-29 11:22:38','updated_at' => '2023-05-29 11:22:38'),
        );
        PaymentGatewayCurrency::insert($gateway_currency);
        //============================AD PAY add money manual end=================================================
        //============================RazorPay add money automatic start=================================================
        $data =  array('slug' => 'add-money','code' => '175','type' => 'AUTOMATIC','name' => 'RazorPay','title' => 'Razor Pay Payment Gateway','alias' => 'razorpay','image' => '58f91aa8-a70d-4389-93cb-9b8e1fd52519.webp','credentials' => '[{"label":"Public key","placeholder":"Enter Public key","name":"public-key","value":"rzp_test_voV4gKUbSxoQez"},{"label":"Secret Key","placeholder":"Enter Secret Key","name":"secret-key","value":"cJltc1jy6evA4Vvh9lTO7SWr"}]','supported_currencies' => '["INR"]','crypto' => '0','desc' => NULL,'input_fields' => NULL,'env' => 'SANDBOX','status' => '1','last_edit_by' => '1','created_at' => '2023-10-29 08:50:27','updated_at' => '2023-10-29 08:53:03');
        $gateway_id = PaymentGateway::insertGetId($data);

        $gateway_currency = array(
            array('payment_gateway_id' => $gateway_id,'name' => 'RazorPay INR','alias' => 'add-money-razorpay-inr-automatic','currency_code' => 'INR','currency_symbol' => '₹','image' => NULL,'min_limit' => '100.00000000','max_limit' => '10000.00000000','percent_charge' => '2.00000000','fixed_charge' => '10.00000000','rate' => '82.87000000','created_at' => '2023-10-29 08:53:03','updated_at' => '2023-10-29 08:53:03'),
        );
        PaymentGatewayCurrency::insert($gateway_currency);
        //============================RazorPay add money automatic end=================================================
        //============================SSLCommerz add money automatic start=================================================
        $data =  array('slug' => 'add-money','code' => '180','type' => 'AUTOMATIC','name' => 'SSLCommerz','title' => 'SSLCommerz Payment Gateway For Add Money','alias' => 'sslcommerz','image' => 'b3bab3a4-0ac4-4838-ab85-695eddf05e36.webp','credentials' => '[{"label":"Store Id","placeholder":"Enter Store Id","name":"store-id","value":"appde6513b3970d62c"},{"label":"Store Password","placeholder":"Enter Store Password","name":"store-password","value":"appde6513b3970d62c@ssl"},{"label":"Sandbox Url","placeholder":"Enter Sandbox Url","name":"sandbox-url","value":"https:\\/\\/sandbox.sslcommerz.com"},{"label":"ive Url","placeholder":"Enter ive Url","name":"ive-url","value":"https:\\/\\/securepay.sslcommerz.com"}]','supported_currencies' => '["BDT"]','crypto' => '0','desc' => NULL,'input_fields' => NULL,'env' => 'SANDBOX','status' => '1','last_edit_by' => '1','created_at' => '2023-10-29 08:57:21','updated_at' => '2023-10-29 08:58:13');
        $gateway_id = PaymentGateway::insertGetId($data);

        $gateway_currency = array(
            array('payment_gateway_id' => $gateway_id,'name' => 'SSLCommerz BDT','alias' => 'add-money-sslcommerz-bdt-automatic','currency_code' => 'BDT','currency_symbol' => '৳','image' => NULL,'min_limit' => '100.00000000','max_limit' => '50000.00000000','percent_charge' => '0.00000000','fixed_charge' => '2.00000000','rate' => '110.00000000','created_at' => '2023-10-29 08:58:13','updated_at' => '2023-10-29 08:58:13')
        );
        PaymentGatewayCurrency::insert($gateway_currency);
        //============================SSLCommerz add money automatic end=================================================
       //============================================================================================================================================
                            //===============================money out================================ 
       //============================================================================================================================================
        //============================AD PAY money out automatic start=================================================
        $data =   array('slug' => 'money-out','code' => '115','type' => 'MANUAL','name' => 'AD PAY','title' => 'AD PAY Gateway','alias' => 'ad-pay-withdraw','image' => NULL,'credentials' => NULL,'supported_currencies' => '["USD"]','crypto' => '0','desc' => '<h4><strong>Please follow the instructions bellow:</strong></h4><p><strong>Fill up all field with correct information.</strong></p>','input_fields' => '[{"type":"file","label":"Screenshoot","name":"screenshoot","required":true,"validation":{"max":"10","mimes":["jpg","png","webp","svg"],"min":0,"options":[],"required":true}},{"type":"text","label":"Bank Name","name":"bank_name","required":true,"validation":{"max":"60","mimes":[],"min":"0","options":[],"required":true}},{"type":"text","label":"A\\/C No","name":"a_c_no","required":true,"validation":{"max":"60","mimes":[],"min":"0","options":[],"required":true}}]','env' => NULL,'status' => '1','last_edit_by' => '1','created_at' => NULL,'updated_at' => NULL);
        $gateway_id = PaymentGateway::insertGetId($data);

        $gateway_currency = array(
            array('payment_gateway_id' => $gateway_id,'name' => 'AD PAY USD','alias' => 'money-out-ad-pay-withdraw-usd-manual','currency_code' => 'USD','currency_symbol' => '$','image' => NULL,'min_limit' => '1.00000000','max_limit' => '5000.00000000','percent_charge' => '2.00000000','fixed_charge' => '0.00000000','rate' => '1.00000000','created_at' => '2023-05-29 12:11:20','updated_at' => '2023-05-29 12:11:20'),
        );
        PaymentGatewayCurrency::insert($gateway_currency);
        //============================AD PAY money out automatic end=================================================
        //============================Paypal money out automatic start=================================================
        $data =   array('slug' => 'money-out','code' => '130','type' => 'MANUAL','name' => 'Paypal','title' => 'Paypal Gateway','alias' => 'paypal','image' => NULL,'credentials' => NULL,'supported_currencies' => '["USD"]','crypto' => '0','desc' => '<p>To initiate a payment using our manual payment gateway, please follow the instructions provided below. We offer two convenient methods for you to choose from:<br><strong>Option 1: PayPal Payment</strong></p><ol style="list-style-type:none;"><li>Log in to your PayPal account or access the PayPal website.</li><li>Choose the option to send money or make a payment.</li><li>Enter the recipient’s email address: <a href="mailto:business@paypal.com">business@paypal.com</a></li><li>Specify the payment amount in the currency you wish to use.</li><li>Make sure to select “Business” as the account type.</li><li>Review the payment details and confirm the transaction.</li><li>Keep the payment confirmation or receipt as proof of the transaction.</li></ol><p><strong>Option 2: Bank Transfer</strong></p><ol style="list-style-type:none;"><li>Visit your local bank or access your online banking platform.</li><li>Initiate a new fund transfer or payment.</li><li>Enter the recipient’s bank account details:</li></ol><ul style="list-style-type:none;"><li>Bank Name: Bank of America</li><li>IBAN (International Bank Account Number): 01234567890</li></ul><ol style="list-style-type:none;"><li>Specify the payment amount in the currency you intend to use.</li><li>Double-check all details, including the recipient’s account information.</li><li>Confirm and authorize the transfer.</li><li>Retain the payment receipt or confirmation for future reference.</li></ol><p>Please ensure that you keep a record of your payment as proof of the transaction. In case of any discrepancies or verification requirements, you may be asked to provide this documentation.Your payment will be manually verified by our team, and once confirmed, your order will be processed promptly. We appreciate your cooperation and look forward to serving you!</p>','input_fields' => '[{"type":"file","label":"Screenshot","name":"screenshot","required":true,"validation":{"max":"10","mimes":["jpg","png","webp","svg"],"min":0,"options":[],"required":true}},{"type":"text","label":"Transaction ID","name":"transaction_id","required":true,"validation":{"max":"60","mimes":[],"min":"1","options":[],"required":true}}]','env' => NULL,'status' => '1','last_edit_by' => '1','created_at' => NULL,'updated_at' => NULL);
        $gateway_id = PaymentGateway::insertGetId($data);

        $gateway_currency = array(
            array('payment_gateway_id' => $gateway_id,'name' => 'Paypal USD','alias' => 'money-out-paypal-usd-manual','currency_code' => 'USD','currency_symbol' => '$','image' => NULL,'min_limit' => '10.00000000','max_limit' => '5000.00000000','percent_charge' => '2.00000000','fixed_charge' => '1.00000000','rate' => '1.00000000','created_at' => '2023-10-28 04:01:10','updated_at' => '2023-10-28 04:01:10'),
        );
        PaymentGatewayCurrency::insert($gateway_currency);
        //============================Paypal money out automatic end=================================================
        //============================WISE money out automatic start=================================================
        $data =   array('slug' => 'money-out','code' => '135','type' => 'MANUAL','name' => 'WISE','title' => 'WISE Gateway','alias' => 'wise','image' => NULL,'credentials' => NULL,'supported_currencies' => '["USD"]','crypto' => '0','desc' => '<p>To initiate a payment using our manual payment gateway, please follow the instructions provided below. We offer two convenient methods for you to choose from:<br><strong>Option 1: PayPal Payment</strong></p><ol style="list-style-type:none;"><li>Log in to your PayPal account or access the PayPal website.</li><li>Choose the option to send money or make a payment.</li><li>Enter the recipient’s email address: <a href="mailto:business@paypal.com">business@paypal.com</a></li><li>Specify the payment amount in the currency you wish to use.</li><li>Make sure to select “Business” as the account type.</li><li>Review the payment details and confirm the transaction.</li><li>Keep the payment confirmation or receipt as proof of the transaction.</li></ol><p><strong>Option 2: Bank Transfer</strong></p><ol style="list-style-type:none;"><li>Visit your local bank or access your online banking platform.</li><li>Initiate a new fund transfer or payment.</li><li>Enter the recipient’s bank account details:</li></ol><ul style="list-style-type:none;"><li>Bank Name: Bank of America</li><li>IBAN (International Bank Account Number): 01234567890</li></ul><ol style="list-style-type:none;"><li>Specify the payment amount in the currency you intend to use.</li><li>Double-check all details, including the recipient’s account information.</li><li>Confirm and authorize the transfer.</li><li>Retain the payment receipt or confirmation for future reference.</li></ol><p>Please ensure that you keep a record of your payment as proof of the transaction. In case of any discrepancies or verification requirements, you may be asked to provide this documentation.Your payment will be manually verified by our team, and once confirmed, your order will be processed promptly. We appreciate your cooperation and look forward to serving you!</p>','input_fields' => '[{"type":"file","label":"Screenshot","name":"screenshot","required":true,"validation":{"max":"10","mimes":["jpg","png","webp","svg"],"min":0,"options":[],"required":true}},{"type":"text","label":"Transaction ID","name":"transaction_id","required":true,"validation":{"max":"60","mimes":[],"min":"1","options":[],"required":true}}]','env' => NULL,'status' => '1','last_edit_by' => '1','created_at' => NULL,'updated_at' => NULL);
        $gateway_id = PaymentGateway::insertGetId($data);

        $gateway_currency = array(
            array('payment_gateway_id' => $gateway_id,'name' => 'WISE USD','alias' => 'money-out-wise-usd-manual','currency_code' => 'USD','currency_symbol' => '$','image' => NULL,'min_limit' => '10.00000000','max_limit' => '5000.00000000','percent_charge' => '2.00000000','fixed_charge' => '1.00000000','rate' => '1.00000000','created_at' => '2023-10-28 04:03:42','updated_at' => '2023-10-28 04:03:42'),
        );
        PaymentGatewayCurrency::insert($gateway_currency);
        //============================WISE money out automatic end=================================================
        //============================UPI money out automatic start=================================================
        $data =   array('slug' => 'money-out','code' => '140','type' => 'MANUAL','name' => 'UPI','title' => 'UPI Gateway','alias' => 'upi','image' => NULL,'credentials' => NULL,'supported_currencies' => '["INR"]','crypto' => '0','desc' => '<p>To initiate a payment using our manual payment gateway, please follow the instructions provided below. We offer two convenient methods for you to choose from:<br><strong>Option 1: PayPal Payment</strong></p><ol style="list-style-type:none;"><li>Log in to your PayPal account or access the PayPal website.</li><li>Choose the option to send money or make a payment.</li><li>Enter the recipient’s email address: <a href="mailto:business@paypal.com">business@paypal.com</a></li><li>Specify the payment amount in the currency you wish to use.</li><li>Make sure to select “Business” as the account type.</li><li>Review the payment details and confirm the transaction.</li><li>Keep the payment confirmation or receipt as proof of the transaction.</li></ol><p><strong>Option 2: Bank Transfer</strong></p><ol style="list-style-type:none;"><li>Visit your local bank or access your online banking platform.</li><li>Initiate a new fund transfer or payment.</li><li>Enter the recipient’s bank account details:</li></ol><ul style="list-style-type:none;"><li>Bank Name: Bank of America</li><li>IBAN (International Bank Account Number): 01234567890</li></ul><ol style="list-style-type:none;"><li>Specify the payment amount in the currency you intend to use.</li><li>Double-check all details, including the recipient’s account information.</li><li>Confirm and authorize the transfer.</li><li>Retain the payment receipt or confirmation for future reference.</li></ol><p>Please ensure that you keep a record of your payment as proof of the transaction. In case of any discrepancies or verification requirements, you may be asked to provide this documentation.Your payment will be manually verified by our team, and once confirmed, your order will be processed promptly. We appreciate your cooperation and look forward to serving you!</p>','input_fields' => '[{"type":"file","label":"Screenshot","name":"screenshot","required":true,"validation":{"max":"10","mimes":["jpg","png","webp","svg"],"min":0,"options":[],"required":true}},{"type":"text","label":"Transaction ID","name":"transaction_id","required":true,"validation":{"max":"60","mimes":[],"min":"10","options":[],"required":true}}]','env' => NULL,'status' => '1','last_edit_by' => '1','created_at' => NULL,'updated_at' => NULL);
        $gateway_id = PaymentGateway::insertGetId($data);

        $gateway_currency = array(
            array('payment_gateway_id' => $gateway_id,'name' => 'UPI INR','alias' => 'money-out-upi-inr-manual','currency_code' => 'INR','currency_symbol' => '₹','image' => NULL,'min_limit' => '1.00000000','max_limit' => '10000.00000000','percent_charge' => '2.00000000','fixed_charge' => '1.00000000','rate' => '82.96000000','created_at' => '2023-10-28 04:07:37','updated_at' => '2023-10-28 04:07:37'),
        );
        PaymentGatewayCurrency::insert($gateway_currency);
        //============================UPI money out automatic end=================================================
        //============================PayTM money out automatic start=================================================
        $data =   array('slug' => 'money-out','code' => '145','type' => 'MANUAL','name' => 'PayTM','title' => 'PayTM Gateway','alias' => 'paytm','image' => NULL,'credentials' => NULL,'supported_currencies' => '["INR"]','crypto' => '0','desc' => '<p>To initiate a payment using our manual payment gateway, please follow the instructions provided below. We offer two convenient methods for you to choose from:<br><strong>Option 1: PayPal Payment</strong></p><ol style="list-style-type:none;"><li>Log in to your PayPal account or access the PayPal website.</li><li>Choose the option to send money or make a payment.</li><li>Enter the recipient’s email address: <a href="mailto:business@paypal.com">business@paypal.com</a></li><li>Specify the payment amount in the currency you wish to use.</li><li>Make sure to select “Business” as the account type.</li><li>Review the payment details and confirm the transaction.</li><li>Keep the payment confirmation or receipt as proof of the transaction.</li></ol><p><strong>Option 2: Bank Transfer</strong></p><ol style="list-style-type:none;"><li>Visit your local bank or access your online banking platform.</li><li>Initiate a new fund transfer or payment.</li><li>Enter the recipient’s bank account details:</li></ol><ul style="list-style-type:none;"><li>Bank Name: Bank of America</li><li>IBAN (International Bank Account Number): 01234567890</li></ul><ol style="list-style-type:none;"><li>Specify the payment amount in the currency you intend to use.</li><li>Double-check all details, including the recipient’s account information.</li><li>Confirm and authorize the transfer.</li><li>Retain the payment receipt or confirmation for future reference.</li></ol><p>Please ensure that you keep a record of your payment as proof of the transaction. In case of any discrepancies or verification requirements, you may be asked to provide this documentation.Your payment will be manually verified by our team, and once confirmed, your order will be processed promptly. We appreciate your cooperation and look forward to serving you!</p>','input_fields' => '[{"type":"file","label":"Screenshot","name":"screenshot","required":true,"validation":{"max":"10","mimes":["jpg","png","webp","svg"],"min":0,"options":[],"required":true}},{"type":"text","label":"Transaction ID","name":"transaction_id","required":true,"validation":{"max":"60","mimes":[],"min":"1","options":[],"required":true}}]','env' => NULL,'status' => '1','last_edit_by' => '1','created_at' => NULL,'updated_at' => NULL);
        $gateway_id = PaymentGateway::insertGetId($data);

        $gateway_currency = array(
            array('payment_gateway_id' => $gateway_id,'name' => 'PayTM INR','alias' => 'money-out-paytm-inr-manual','currency_code' => 'INR','currency_symbol' => '₹','image' => NULL,'min_limit' => '1.00000000','max_limit' => '5000.00000000','percent_charge' => '2.00000000','fixed_charge' => '1.00000000','rate' => '82.96000000','created_at' => '2023-10-28 04:19:36','updated_at' => '2023-10-28 04:19:36'),
        );
        PaymentGatewayCurrency::insert($gateway_currency);
        //============================PayTM money out automatic end=================================================
        //============================PhonePe money out automatic start=================================================
        $data =   array('slug' => 'money-out','code' => '150','type' => 'MANUAL','name' => 'PhonePe','title' => 'PhonePe Gateway','alias' => 'phonepe','image' => NULL,'credentials' => NULL,'supported_currencies' => '["INR"]','crypto' => '0','desc' => '<p>To initiate a payment using our manual payment gateway, please follow the instructions provided below. We offer two convenient methods for you to choose from:<br><strong>Option 1: PayPal Payment</strong></p><ol style="list-style-type:none;"><li>Log in to your PayPal account or access the PayPal website.</li><li>Choose the option to send money or make a payment.</li><li>Enter the recipient’s email address: <a href="mailto:business@paypal.com">business@paypal.com</a></li><li>Specify the payment amount in the currency you wish to use.</li><li>Make sure to select “Business” as the account type.</li><li>Review the payment details and confirm the transaction.</li><li>Keep the payment confirmation or receipt as proof of the transaction.</li></ol><p><strong>Option 2: Bank Transfer</strong></p><ol style="list-style-type:none;"><li>Visit your local bank or access your online banking platform.</li><li>Initiate a new fund transfer or payment.</li><li>Enter the recipient’s bank account details:</li></ol><ul style="list-style-type:none;"><li>Bank Name: Bank of America</li><li>IBAN (International Bank Account Number): 01234567890</li></ul><ol style="list-style-type:none;"><li>Specify the payment amount in the currency you intend to use.</li><li>Double-check all details, including the recipient’s account information.</li><li>Confirm and authorize the transfer.</li><li>Retain the payment receipt or confirmation for future reference.</li></ol><p>Please ensure that you keep a record of your payment as proof of the transaction. In case of any discrepancies or verification requirements, you may be asked to provide this documentation.Your payment will be manually verified by our team, and once confirmed, your order will be processed promptly. We appreciate your cooperation and look forward to serving you!</p>','input_fields' => '[{"type":"file","label":"Screenshot","name":"screenshot","required":true,"validation":{"max":"10","mimes":["jpg","png","webp","svg"],"min":0,"options":[],"required":true}},{"type":"text","label":"Transaction ID","name":"transaction_id","required":true,"validation":{"max":"60","mimes":[],"min":"1","options":[],"required":true}}]','env' => NULL,'status' => '1','last_edit_by' => '1','created_at' => NULL,'updated_at' => NULL);
        $gateway_id = PaymentGateway::insertGetId($data);

        $gateway_currency = array(
            array('payment_gateway_id' => $gateway_id,'name' => 'PhonePe INR','alias' => 'money-out-phonepe-inr-manual','currency_code' => 'INR','currency_symbol' => '₹','image' => NULL,'min_limit' => '1.00000000','max_limit' => '5000.00000000','percent_charge' => '2.00000000','fixed_charge' => '1.00000000','rate' => '82.96000000','created_at' => '2023-10-28 04:22:26','updated_at' => '2023-10-28 04:22:26'),
        );
        PaymentGatewayCurrency::insert($gateway_currency);
        //============================PhonePe money out automatic end=================================================
        //============================Khalti money out automatic start=================================================
        $data =   array('slug' => 'money-out','code' => '155','type' => 'MANUAL','name' => 'Khalti','title' => 'Khalti Gateway','alias' => 'khalti','image' => NULL,'credentials' => NULL,'supported_currencies' => '["NPR"]','crypto' => '0','desc' => '<p>To initiate a payment using our manual payment gateway, please follow the instructions provided below. We offer two convenient methods for you to choose from:<br><strong>Option 1: PayPal Payment</strong></p><ol style="list-style-type:none;"><li>Log in to your PayPal account or access the PayPal website.</li><li>Choose the option to send money or make a payment.</li><li>Enter the recipient’s email address: <a href="mailto:business@paypal.com">business@paypal.com</a></li><li>Specify the payment amount in the currency you wish to use.</li><li>Make sure to select “Business” as the account type.</li><li>Review the payment details and confirm the transaction.</li><li>Keep the payment confirmation or receipt as proof of the transaction.</li></ol><p><strong>Option 2: Bank Transfer</strong></p><ol style="list-style-type:none;"><li>Visit your local bank or access your online banking platform.</li><li>Initiate a new fund transfer or payment.</li><li>Enter the recipient’s bank account details:</li></ol><ul style="list-style-type:none;"><li>Bank Name: Bank of America</li><li>IBAN (International Bank Account Number): 01234567890</li></ul><ol style="list-style-type:none;"><li>Specify the payment amount in the currency you intend to use.</li><li>Double-check all details, including the recipient’s account information.</li><li>Confirm and authorize the transfer.</li><li>Retain the payment receipt or confirmation for future reference.</li></ol><p>Please ensure that you keep a record of your payment as proof of the transaction. In case of any discrepancies or verification requirements, you may be asked to provide this documentation.Your payment will be manually verified by our team, and once confirmed, your order will be processed promptly. We appreciate your cooperation and look forward to serving you!</p>','input_fields' => '[{"type":"file","label":"Screenshot","name":"screenshot","required":true,"validation":{"max":"10","mimes":["jpg","png","webp","svg"],"min":0,"options":[],"required":true}},{"type":"text","label":"Transaction ID","name":"transaction_id","required":true,"validation":{"max":"60","mimes":[],"min":"1","options":[],"required":true}}]','env' => NULL,'status' => '1','last_edit_by' => '1','created_at' => NULL,'updated_at' => NULL);
        $gateway_id = PaymentGateway::insertGetId($data);

        $gateway_currency = array(
            array('payment_gateway_id' => $gateway_id,'name' => 'Khalti NPR','alias' => 'money-out-khalti-npr-manual','currency_code' => 'NPR','currency_symbol' => 'रु‎','image' => NULL,'min_limit' => '1.00000000','max_limit' => '5000.00000000','percent_charge' => '2.00000000','fixed_charge' => '1.00000000','rate' => '132.88000000','created_at' => '2023-10-28 04:24:54','updated_at' => '2023-10-28 04:24:54'),
        );
        PaymentGatewayCurrency::insert($gateway_currency);
        //============================Khalti money out automatic end=================================================
        //============================PayStack money out automatic start=================================================
        $data =   array('slug' => 'money-out','code' => '160','type' => 'MANUAL','name' => 'PayStack','title' => 'PayStack Gateway','alias' => 'paystack','image' => NULL,'credentials' => NULL,'supported_currencies' => '["NGN"]','crypto' => '0','desc' => '<p>To initiate a payment using our manual payment gateway, please follow the instructions provided below. We offer two convenient methods for you to choose from:<br><strong>Option 1: PayPal Payment</strong></p><ol style="list-style-type:none;"><li>Log in to your PayPal account or access the PayPal website.</li><li>Choose the option to send money or make a payment.</li><li>Enter the recipient’s email address: <a href="mailto:business@paypal.com">business@paypal.com</a></li><li>Specify the payment amount in the currency you wish to use.</li><li>Make sure to select “Business” as the account type.</li><li>Review the payment details and confirm the transaction.</li><li>Keep the payment confirmation or receipt as proof of the transaction.</li></ol><p><strong>Option 2: Bank Transfer</strong></p><ol style="list-style-type:none;"><li>Visit your local bank or access your online banking platform.</li><li>Initiate a new fund transfer or payment.</li><li>Enter the recipient’s bank account details:</li></ol><ul style="list-style-type:none;"><li>Bank Name: Bank of America</li><li>IBAN (International Bank Account Number): 01234567890</li></ul><ol style="list-style-type:none;"><li>Specify the payment amount in the currency you intend to use.</li><li>Double-check all details, including the recipient’s account information.</li><li>Confirm and authorize the transfer.</li><li>Retain the payment receipt or confirmation for future reference.</li></ol><p>Please ensure that you keep a record of your payment as proof of the transaction. In case of any discrepancies or verification requirements, you may be asked to provide this documentation.Your payment will be manually verified by our team, and once confirmed, your order will be processed promptly. We appreciate your cooperation and look forward to serving you!</p>','input_fields' => '[{"type":"file","label":"Screenshot","name":"screenshot","required":true,"validation":{"max":"10","mimes":["jpg","png","webp","svg"],"min":0,"options":[],"required":true}},{"type":"text","label":"Transaction ID","name":"transaction_id","required":true,"validation":{"max":"60","mimes":[],"min":"1","options":[],"required":true}}]','env' => NULL,'status' => '1','last_edit_by' => '1','created_at' => NULL,'updated_at' => NULL);
        $gateway_id = PaymentGateway::insertGetId($data);

        $gateway_currency = array(
            array('payment_gateway_id' => $gateway_id,'name' => 'PayStack NGN','alias' => 'money-out-paystack-ngn-manual','currency_code' => 'NGN','currency_symbol' => '₦','image' => NULL,'min_limit' => '0.00000000','max_limit' => '50000.00000000','percent_charge' => '2.00000000','fixed_charge' => '1.00000000','rate' => '770.86000000','created_at' => '2023-10-28 04:28:26','updated_at' => '2023-10-28 04:28:26'),
        );
        PaymentGatewayCurrency::insert($gateway_currency);
        //============================PayStack money out automatic end=================================================
        //============================JazzCash money out automatic start=================================================
        $data =   array('slug' => 'money-out','code' => '165','type' => 'MANUAL','name' => 'JazzCash','title' => 'JazzCash Gateway','alias' => 'jazzcash','image' => NULL,'credentials' => NULL,'supported_currencies' => '["PKR"]','crypto' => '0','desc' => '<p>To initiate a payment using our manual payment gateway, please follow the instructions provided below. We offer two convenient methods for you to choose from:<br><strong>Option 1: PayPal Payment</strong></p><ol style="list-style-type:none;"><li>Log in to your PayPal account or access the PayPal website.</li><li>Choose the option to send money or make a payment.</li><li>Enter the recipient’s email address: <a href="mailto:business@paypal.com">business@paypal.com</a></li><li>Specify the payment amount in the currency you wish to use.</li><li>Make sure to select “Business” as the account type.</li><li>Review the payment details and confirm the transaction.</li><li>Keep the payment confirmation or receipt as proof of the transaction.</li></ol><p><strong>Option 2: Bank Transfer</strong></p><ol style="list-style-type:none;"><li>Visit your local bank or access your online banking platform.</li><li>Initiate a new fund transfer or payment.</li><li>Enter the recipient’s bank account details:</li></ol><ul style="list-style-type:none;"><li>Bank Name: Bank of America</li><li>IBAN (International Bank Account Number): 01234567890</li></ul><ol style="list-style-type:none;"><li>Specify the payment amount in the currency you intend to use.</li><li>Double-check all details, including the recipient’s account information.</li><li>Confirm and authorize the transfer.</li><li>Retain the payment receipt or confirmation for future reference.</li></ol><p>Please ensure that you keep a record of your payment as proof of the transaction. In case of any discrepancies or verification requirements, you may be asked to provide this documentation.Your payment will be manually verified by our team, and once confirmed, your order will be processed promptly. We appreciate your cooperation and look forward to serving you!</p>','input_fields' => '[{"type":"file","label":"Screenshot","name":"screenshot","required":true,"validation":{"max":"10","mimes":["jpg","png","webp","svg"],"min":0,"options":[],"required":true}},{"type":"text","label":"Transaction ID","name":"transaction_id","required":true,"validation":{"max":"60","mimes":[],"min":"1","options":[],"required":true}}]','env' => NULL,'status' => '1','last_edit_by' => '1','created_at' => NULL,'updated_at' => NULL);
        $gateway_id = PaymentGateway::insertGetId($data);

        $gateway_currency = array(
            array('payment_gateway_id' => $gateway_id,'name' => 'JazzCash PKR','alias' => 'money-out-jazzcash-pkr-manual','currency_code' => 'PKR','currency_symbol' => 'Rs','image' => NULL,'min_limit' => '1.00000000','max_limit' => '10000.00000000','percent_charge' => '2.00000000','fixed_charge' => '1.00000000','rate' => '289.38000000','created_at' => '2023-10-28 04:30:37','updated_at' => '2023-10-28 04:30:37'),
        );
        PaymentGatewayCurrency::insert($gateway_currency);
        //============================JazzCash money out automatic end=================================================
        //============================EasyPaisa money out automatic start=================================================
        $data =  array('slug' => 'money-out','code' => '170','type' => 'MANUAL','name' => 'EasyPaisa','title' => 'EasyPaisa Gateway','alias' => 'easypaisa','image' => NULL,'credentials' => NULL,'supported_currencies' => '["PKR"]','crypto' => '0','desc' => '<p>To initiate a payment using our manual payment gateway, please follow the instructions provided below. We offer two convenient methods for you to choose from:<br><strong>Option 1: PayPal Payment</strong></p><ol style="list-style-type:none;"><li>Log in to your PayPal account or access the PayPal website.</li><li>Choose the option to send money or make a payment.</li><li>Enter the recipient’s email address: <a href="mailto:business@paypal.com">business@paypal.com</a></li><li>Specify the payment amount in the currency you wish to use.</li><li>Make sure to select “Business” as the account type.</li><li>Review the payment details and confirm the transaction.</li><li>Keep the payment confirmation or receipt as proof of the transaction.</li></ol><p><strong>Option 2: Bank Transfer</strong></p><ol style="list-style-type:none;"><li>Visit your local bank or access your online banking platform.</li><li>Initiate a new fund transfer or payment.</li><li>Enter the recipient’s bank account details:</li></ol><ul style="list-style-type:none;"><li>Bank Name: Bank of America</li><li>IBAN (International Bank Account Number): 01234567890</li></ul><ol style="list-style-type:none;"><li>Specify the payment amount in the currency you intend to use.</li><li>Double-check all details, including the recipient’s account information.</li><li>Confirm and authorize the transfer.</li><li>Retain the payment receipt or confirmation for future reference.</li></ol><p>Please ensure that you keep a record of your payment as proof of the transaction. In case of any discrepancies or verification requirements, you may be asked to provide this documentation.Your payment will be manually verified by our team, and once confirmed, your order will be processed promptly. We appreciate your cooperation and look forward to serving you!</p>','input_fields' => '[{"type":"file","label":"Screenshot","name":"screenshot","required":true,"validation":{"max":"10","mimes":["jpg","png","webp","svg"],"min":0,"options":[],"required":true}},{"type":"text","label":"Transaction ID","name":"transaction_id","required":true,"validation":{"max":"60","mimes":[],"min":"1","options":[],"required":true}}]','env' => NULL,'status' => '1','last_edit_by' => '1','created_at' => NULL,'updated_at' => NULL);
        $gateway_id = PaymentGateway::insertGetId($data);

        $gateway_currency = array(
            array('payment_gateway_id' => $gateway_id,'name' => 'EasyPaisa PKR','alias' => 'money-out-easypaisa-pkr-manual','currency_code' => 'PKR','currency_symbol' => 'Rs','image' => NULL,'min_limit' => '1.00000000','max_limit' => '50000.00000000','percent_charge' => '2.00000000','fixed_charge' => '1.00000000','rate' => '289.38000000','created_at' => '2023-10-28 04:32:57','updated_at' => '2023-10-28 04:32:57'),
        );
        PaymentGatewayCurrency::insert($gateway_currency);
        //============================EasyPaisa money out automatic end=================================================
        //============================Qrpay gateway automatic start=================================================
        $data =  array('slug' => 'add-money','code' => '230','type' => 'AUTOMATIC','name' => 'Qrpay','title' => 'Qrpay Gateway','alias' => 'qrpay','image' => 'cf4e938a-f837-4ed4-aada-ce0593225427.webp','credentials' => '[{"label":"Live Base Url","placeholder":"Enter Live Base Url","name":"live-base-url","value":"https:\\/\\/envato.appdevs.net\\/qrpay\\/pay\\/api\\/v1"},{"label":"Sendbox Base Url","placeholder":"Enter Sendbox Base Url","name":"sendbox-base-url","value":"https:\\/\\/envato.appdevs.net\\/qrpay\\/pay\\/sandbox\\/api\\/v1"},{"label":"Client Secret","placeholder":"Enter Client Secret","name":"client-secret","value":"oZouVmqHCbyg6ad7iMnrwq3d8wy9Kr4bo6VpQnsX6zAOoEs4oxHPjttpun36JhGxDl7AUMz3ShUqVyPmxh4oPk3TQmDF7YvHN5M3"},{"label":"Client Id","placeholder":"Enter Client Id","name":"client-id","value":"tRCDXCuztQzRYThPwlh1KXAYm4bG3rwWjbxM2R63kTefrGD2B9jNn6JnarDf7ycxdzfnaroxcyr5cnduY6AqpulRSebwHwRmGerA"}]','supported_currencies' => '["USD"]','crypto' => '0','desc' => NULL,'input_fields' => NULL,'env' => 'SANDBOX','status' => '1','last_edit_by' => '1','created_at' => '2023-11-23 08:30:18','updated_at' => '2023-11-23 10:37:13');
        $gateway_id = PaymentGateway::insertGetId($data);

        $gateway_currency = array(
            array('payment_gateway_id' => $gateway_id,'name' => 'Qrpay USD','alias' => 'add-money-qrpay-usd-automatic','currency_code' => 'USD','currency_symbol' => '$','image' => NULL,'min_limit' => '1.0000000000000000','max_limit' => '1000.0000000000000000','percent_charge' => '2.0000000000000000','fixed_charge' => '0.0000000000000000','rate' => '1.0000000000000000','created_at' => '2023-11-23 10:37:13','updated_at' => '2023-11-23 10:37:13')
        );
        PaymentGatewayCurrency::insert($gateway_currency);
        //============================Qrpay gateway automatic end=================================================
        //============================Tatum gateway automatic start=================================================
        $data =  array('slug' => 'add-money','code' => '235','type' => 'AUTOMATIC','name' => 'Tatum','title' => 'Tatum Gateway','alias' => 'tatum','image' => '7019735c-9ae1-43ca-84ba-eebdf28a9508.webp','credentials' => '[{"label":"Mainnet","placeholder":"Enter Mainnet","name":"mainnet","value":""},{"label":"Testnet","placeholder":"Enter Testnet","name":"testnet","value":""}]','supported_currencies' => '["BTC","ETH","SOL"]','crypto' => '1','desc' => NULL,'input_fields' => NULL,'env' => 'SANDBOX','status' => '1','last_edit_by' => '1','created_at' => '2023-12-27 04:30:12','updated_at' => '2023-12-27 04:33:47');
        $gateway_id = PaymentGateway::insertGetId($data);

        $gateway_currency = array(
            array('payment_gateway_id' => $gateway_id,'name' => 'Tatum SOL','alias' => 'add-money-tatum-sol-automatic','currency_code' => 'SOL','currency_symbol' => 'S/','image' => NULL,'min_limit' => '0.0100000000000000','max_limit' => '1000.0000000000000000','percent_charge' => '2.0000000000000000','fixed_charge' => '0.0000000000000000','rate' => '3.7000000000000000','created_at' => '2023-12-27 04:33:47','updated_at' => '2023-12-27 07:16:14'),
            array('payment_gateway_id' => $gateway_id,'name' => 'Tatum ETH','alias' => 'add-money-tatum-eth-automatic','currency_code' => 'ETH','currency_symbol' => 'Ξ','image' => NULL,'min_limit' => '0.0001000000000000','max_limit' => '1000.0000000000000000','percent_charge' => '2.0000000000000000','fixed_charge' => '0.0000000000000000','rate' => '0.0006100000000000','created_at' => '2023-12-27 04:33:47','updated_at' => '2023-12-27 07:16:14'),
            array('payment_gateway_id' => $gateway_id,'name' => 'Tatum BTC','alias' => 'add-money-tatum-btc-automatic','currency_code' => 'BTC','currency_symbol' => '฿','image' => NULL,'min_limit' => '0.0001000000000000','max_limit' => '1000.0000000000000000','percent_charge' => '2.0000000000000000','fixed_charge' => '0.0000000000000000','rate' => '0.0000360000000000','created_at' => '2023-12-27 04:33:47','updated_at' => '2023-12-27 07:16:14')
        );
        PaymentGatewayCurrency::insert($gateway_currency);
        //============================Tatum gateway automatic end=================================================
        //============================Coingate gateway automatic start=================================================
        $data =  array('slug' => 'add-money','code' => '240','type' => 'AUTOMATIC','name' => 'Coingate','title' => 'Coingate Gateway','alias' => 'coingate','image' => 'dd7f5f3f-f605-4562-948c-a523602411f6.webp','credentials' => '[{"label":"Production App Token","placeholder":"Enter Production App Token","name":"production-app-token","value":null},{"label":"Production URL","placeholder":"Enter Production URL","name":"production-url","value":"https:\\/\\/api.coingate.com\\/v2"},{"label":"Sandbox App Token","placeholder":"Enter Sandbox App Token","name":"sandbox-app-token","value":"XJW4RyhT8F-xssX2PvaHMWJjYe5nsbsrbb2Uqy4m"},{"label":"Sandbox URL","placeholder":"Enter Sandbox URL","name":"sandbox-url","value":"https:\\/\\/api-sandbox.coingate.com\\/v2"}]','supported_currencies' => '["USD","BTC","LTC","ETH","BCH","TRX","ETC","DOGE","BTG","BNB","TUSD","USDT","BSV","MATIC","BUSD","SOL","WBTC","RVN","BCD","ATOM","BTTC","EURT"]','crypto' => '1','desc' => NULL,'input_fields' => NULL,'env' => 'SANDBOX','status' => '1','last_edit_by' => '1','created_at' => '2023-12-27 11:18:11','updated_at' => '2023-12-27 11:32:26');
        $gateway_id = PaymentGateway::insertGetId($data);

        $gateway_currency = array(
            array('payment_gateway_id' => $gateway_id,'name' => 'Coingate USDT','alias' => 'add-money-coingate-usdt-automatic','currency_code' => 'USDT','currency_symbol' => '₮','image' => NULL,'min_limit' => '1.0000000000000000','max_limit' => '1000.0000000000000000','percent_charge' => '2.0000000000000000','fixed_charge' => '0.0000000000000000','rate' => '1.00000000000000000','created_at' => '2023-12-27 11:32:26','updated_at' => '2023-12-27 11:32:26'),
            array('payment_gateway_id' => $gateway_id,'name' => 'Coingate ETH','alias' => 'add-money-coingate-eth-automatic','currency_code' => 'ETH','currency_symbol' => 'Ξ','image' => NULL,'min_limit' => '0.0001000000000000','max_limit' => '1000.0000000000000000','percent_charge' => '2.0000000000000000','fixed_charge' => '0.0000000000000000','rate' => '0.0006100000000000','created_at' => '2023-12-27 11:32:26','updated_at' => '2023-12-27 11:32:26'),
            array('payment_gateway_id' => $gateway_id,'name' => 'Coingate BTC','alias' => 'add-money-coingate-btc-automatic','currency_code' => 'BTC','currency_symbol' => '฿','image' => NULL,'min_limit' => '0.0001000000000000','max_limit' => '100.0000000000000000','percent_charge' => '2.0000000000000000','fixed_charge' => '0.0000000000000000','rate' => '0.0000360000000000','created_at' => '2023-12-27 11:32:26','updated_at' => '2023-12-27 11:32:26'),
            array('payment_gateway_id' => $gateway_id,'name' => 'Coingate USD','alias' => 'add-money-coingate-usd-automatic','currency_code' => 'USD','currency_symbol' => '$','image' => NULL,'min_limit' => '1.0000000000000000','max_limit' => '1000.0000000000000000','percent_charge' => '2.0000000000000000','fixed_charge' => '0.0000000000000000','rate' => '1.00000000000000000','created_at' => '2023-12-27 11:32:26','updated_at' => '2023-12-27 11:32:26'),
        );
        PaymentGatewayCurrency::insert($gateway_currency);
        //============================Coingate gateway automatic end=================================================
        //============================Pagadito gateway automatic start=================================================
        $data =  array('slug' => 'add-money','code' => '245','type' => 'AUTOMATIC','name' => 'Pagadito','title' => 'Pagadito Paymnet Gateway','alias' => 'pagadito','image' => '562667d0-9251-441c-a7d4-20b9e21d885e.webp','credentials' => '[{"label":"UID","placeholder":"Enter UID","name":"uid","value":"b73eb3fa1dc8bea4b4363322c906a8fd"},{"label":"WSK","placeholder":"Enter WSK","name":"wsk","value":"dc843ff5865bac2858ad8f23af081256"},{"label":"Sandbox Base URL","placeholder":"Enter Sandbox Base URL","name":"sandbox-base-url","value":"https:\\/\\/sandbox.pagadito.com"},{"label":"Live Base URL","placeholder":"Enter Live Base URL","name":"live-base-url","value":"https:\\/\\/pagadito.com"}]','supported_currencies' => '["USD","HNL","CRC","DOP","GTQ","NIU","PAB"]','crypto' => '0','desc' => NULL,'input_fields' => NULL,'env' => 'SANDBOX','status' => '1','last_edit_by' => '1','created_at' => '2023-12-28 05:48:55','updated_at' => '2023-12-28 05:50:56');
        $gateway_id = PaymentGateway::insertGetId($data);

        $gateway_currency = array(
            array('payment_gateway_id' => $gateway_id,'name' => 'Pagadito USD','alias' => 'add-money-pagadito-usd-automatic','currency_code' => 'USD','currency_symbol' => '$','image' => NULL,'min_limit' => '1.0000000000000000','max_limit' => '1000.0000000000000000','percent_charge' => '2.0000000000000000','fixed_charge' => '0.0000000000000000','rate' => '1.0000000000000000','created_at' => '2023-12-28 05:50:56','updated_at' => '2023-12-28 07:24:30')
        );
        PaymentGatewayCurrency::insert($gateway_currency);
        //============================Pagadito gateway automatic end=================================================
        //============================Perfect Money automatic start=================================================
        $data =  array('slug' => 'add-money','code' => '20000','type' => 'AUTOMATIC','name' => 'Perfect Money','title' => 'Perfect Money Gateway','alias' => 'perfect-money','image' => '38e0dfa8-cc70-410a-a4ae-2e303b66b93d.webp','credentials' => '[{"label":"USD Account","placeholder":"Enter USD Account","name":"usd-account","value":""},{"label":"EUR Account","placeholder":"Enter EUR Account","name":"eur-account","value":""},{"label":"Alternate Passphrase","placeholder":"Enter Alternate Passphrase","name":"alternate_passphrase","value":""}]','supported_currencies' => '["USD","EUR"]','crypto' => '0','desc' => NULL,'input_fields' => NULL,'env' => 'SANDBOX','status' => '1','last_edit_by' => '1','created_at' => '2023-12-30 16:05:59','updated_at' => '2024-01-03 06:22:22');
        $gateway_id = PaymentGateway::insertGetId($data);

        $gateway_currency = array(
            array('payment_gateway_id' => $gateway_id,'name' => 'Perfect Money EUR','alias' => 'add-money-perfect-money-eur-automatic','currency_code' => 'EUR','currency_symbol' => '€','image' => NULL,'min_limit' => '1.00000000','max_limit' => '5000.00000000','percent_charge' => '2.00000000','fixed_charge' => '1.00000000','rate' => '0.90000000','created_at' => '2023-12-30 16:44:49','updated_at' => '2024-01-01 06:27:26'),
            array('payment_gateway_id' => $gateway_id,'name' => 'Perfect Money USD','alias' => 'add-money-perfect-money-usd-automatic','currency_code' => 'USD','currency_symbol' => '$','image' => NULL,'min_limit' => '1.00000000','max_limit' => '5000.00000000','percent_charge' => '2.00000000','fixed_charge' => '1.00000000','rate' => '1.00000000','created_at' => '2023-12-30 16:44:49','updated_at' => '2024-01-01 06:27:26')
        );
        PaymentGatewayCurrency::insert($gateway_currency);
        //============================Perfect Money automatic end=================================================



    }
}
