

<?php $__env->startPush('css'); ?>
<?php $__env->stopPush(); ?>

<?php $__env->startSection('page-title'); ?>
    <?php echo $__env->make('admin.components.page-title', ['title' => __($page_title)], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('breadcrumb'); ?>
    <?php echo $__env->make('admin.components.breadcrumb', [
        'breadcrumbs' => [
            [
                'name' => __('Dashboard'),
                'url' => setRoute('admin.dashboard'),
            ],
        ],
        'active' => __('Add Money Details'),
    ], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>

<div class="custom-card">
    <div class="card-header">
        <h6 class="title"><?php echo e(__("Escrow Details")); ?></h6>
    </div>
    <div class="card-body">
        <form class="card-form">
            <div class="row align-items-center mb-10-none">
                <div class="col-xl-4 col-lg-4 form-group">
                    <ul class="user-profile-list-two">
                        <li class="one"><?php echo e(__("Date")); ?>: <span><?php echo e(@$escrows->created_at->format('d-m-y h:i:s A')); ?></span></li>
                        <li class="two"><?php echo e(__("Escrow ID")); ?>: <span><?php echo e(@$escrows->escrow_id); ?></span></li> 
                        <li class="three"><?php echo e(__("Created By")); ?>: <span><?php echo e(@$escrows->user->username); ?></span></li> 
                        <li class="three"><?php echo e(__("category")); ?>: <span><?php echo e(@$escrows->escrowCategory->name); ?></span></li> 
                        <li class="four"><?php echo e(__("Total Price")); ?>: <span><?php echo e(@get_amount($escrows->amount,$escrows->escrow_currency)); ?></span></li> 
                        <li class="five"><?php echo e(__("Charge Payer")); ?>: <span><?php echo e(@$escrows->string_who_will_pay->value); ?></span></li> 
                    </ul>
                </div>

                <div class="col-xl-4 col-lg-4 form-group">
                    <div class="user-profile-thumb">
                        <img src="" alt="payment">
                    </div>
                </div>
                <div class="col-xl-4 col-lg-4 form-group">
                    <ul class="user-profile-list two"> 
                        <li class="one"><?php echo e(__("Fees & Charges")); ?>: <span><?php echo e(get_amount($escrows->escrowDetails->fee,$escrows->escrow_currency)); ?></span></li> 
                        <li class="two"><?php echo e(__("Seller Amount")); ?>: <span><?php echo e(get_amount($escrows->escrowDetails->seller_get,$escrows->escrow_currency)); ?></span></li> 
                        <?php if($escrows->payment_type == escrow_const()::GATEWAY): ?>
                        <li class="three"><?php echo e(__("Pay with")); ?>: <span><?php echo e($escrows->paymentGatewayCurrency->name); ?></span></li> 
                        <li class="three"><?php echo e(__("Exchange Rate")); ?>: <span><?php echo e("1 ".$escrows->escrow_currency." = ".get_amount($escrows->escrowDetails->gateway_exchange_rate,$escrows->paymentGatewayCurrency->currency_code)); ?></span></li> 
                        <li class="four"><?php echo e(__("Buyer Paid")); ?>: <span><?php echo e(get_amount($escrows->escrowDetails->buyer_pay,$escrows->paymentGatewayCurrency->currency_code)); ?></span></li> 
                        <?php endif; ?>
                        <?php if($escrows->payment_type == escrow_const()::MY_WALLET): ?>
                        <li class="three"><?php echo e(__("Pay with")); ?>: <span><?php echo e("Wallet"); ?></span></li> 
                        <li class="three"><?php echo e(__("Exchange Rate")); ?>: <span><?php echo e("1 ".$escrows->escrow_currency." = 1 ".$escrows->escrow_currency); ?></span></li> 
                        <li class="four"><?php echo e(__("Buyer Paid")); ?>: <span><?php echo e(get_amount($escrows->escrowDetails->buyer_pay,$escrows->escrow_currency)); ?></span></li>
                        <?php endif; ?>
                       
                        <li class="five"><?php echo e(__("Status")); ?>:  <span class="<?php echo e(@$escrows->stringStatus->class); ?>"><?php echo e(@$escrows->stringStatus->value); ?></span></li>
                    </ul>
                </div>
            </div>
        </form>
    </div>
</div> 
<div class="custom-card mt-15">
    <div class="card-header">
        <h6 class="title"><?php echo e(__("Information of Logs")); ?></h6>
    </div>
    <div class="card-body">
        <h5><strong><?php echo e(__("Title")); ?>:</strong> <?php echo e($escrows->title); ?></h5>
        <?php $__currentLoopData = $escrows->file ?? []; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
        <p><strong><?php echo e(__("Attachment")); ?></strong>: 
            <span class="text--danger text-right">
                <a href="<?php echo e(files_asset_path('escrow-temp-file') . "/" . $item->attachment); ?>" target="_blanck">
                    <?php echo e(Str::words(json_decode($item->attachment_info)->original_base_name ?? "", 5, '...' . json_decode($item->attachment_info)->extension ?? "" )); ?>

                </a>
            </span>
        </p>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        <p><strong><?php echo e(__("Details")); ?>:</strong> <?php echo e($escrows->remark); ?></p>
    </div>
    <?php if($escrows->payment_gateway_currency_id !== null && $escrows->paymentGatewayCurrency->gateway->type == App\Constants\PaymentGatewayConst::MANUAL): ?> 
    <div class="card-body">
        <ul class="product-sales-info">

            <?php $__currentLoopData = json_decode($escrows->details) ?? []; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <li>
                <?php if(@$item->type == "file"): ?>
                    <?php
                        $file_link = get_file_link("kyc-files",$item->value);
                    ?>
                    <span class="kyc-title"><?php echo e($item->label); ?>:</span>
                    <?php if(its_image($item->value)): ?>
                        <div class="kyc-image ">
                            <img class="img-fluid" width="200px" src="<?php echo e($file_link); ?>" alt="<?php echo e($item->label); ?>">
                        </div>
                    <?php else: ?>
                        <span class="text--danger">
                            <?php
                                $file_info = get_file_basename_ext_from_link($file_link);
                            ?>
                            <a href="<?php echo e(setRoute('file.download',["kyc-files",$item->value])); ?>" >
                                <?php echo e(Str::substr($file_info->base_name ?? "", 0 , 20 ) ."..." . $file_info->extension ?? ""); ?>

                            </a>
                        </span>
                    <?php endif; ?>
                <?php else: ?>
                    <span class="kyc-title"><?php echo e(@$item->label); ?>:</span>
                    <span><?php echo e(@$item->value); ?></span>
                <?php endif; ?>
            </li>
        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </ul>
    </div>
    <?php endif; ?>
</div> 
<?php if(@$escrows->status == 2): ?>
<div class="product-sales-btn">
    <button type="button" class="btn btn--base approvedBtn"><?php echo e(__("Approve")); ?></button>
    <button type="button" class="btn btn--danger rejectBtn" ><?php echo e(__("Reject")); ?></button>
</div>
<?php endif; ?>
<?php if(@$escrows->status == 2): ?>
<div class="modal fade" id="approvedModal" tabindex="-1" >
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header p-3" id="approvedModalLabel">
                <h5 class="modal-title"><?php echo e(__("Approved Confirmation")); ?></h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <form class="modal-form" action="<?php echo e(setRoute('admin.escrow.manual.payment.approved')); ?>" method="POST"> 
                    <?php echo csrf_field(); ?>
                    <?php echo method_field("PUT"); ?>
                    <div class="row mb-10-none">
                        <div class="col-xl-12 col-lg-12 form-group">
                            <input type="hidden" name="id" value=<?php echo e(@$escrows->id); ?>>
                           <p><?php echo e(__("Are you sure to approved this request?")); ?></p>
                        </div>
                    </div>

            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn--danger" data-bs-dismiss="modal"><?php echo e(__("Cancel")); ?></button>
                <button type="submit" class="btn btn--base btn-loading"><?php echo e(__("Approved")); ?></button>
            </div>
        </form>
        </div>
    </div>
</div>
<div class="modal fade" id="rejectModal" tabindex="-1" >
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header p-3" id="rejectModalLabel">
                <h5 class="modal-title"><?php echo e(__("Rejection Confirmation")); ?></h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <form class="modal-form" action="<?php echo e(setRoute('admin.escrow.manual.payment.rejected')); ?>" method="POST">
                    <?php echo csrf_field(); ?>
                    <?php echo method_field("PUT"); ?>
                    <div class="row mb-10-none">
                        <div class="col-xl-12 col-lg-12 form-group">
                            <input type="hidden" name="id" value=<?php echo e(@$escrows->id); ?>>
                            <?php echo $__env->make('admin.components.form.textarea',[
                                'label'         => 'Explain Rejection Reason*',
                                'name'          => 'reject_reason',
                                'value'         => old('reject_reason')
                            ], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
                        </div>
                    </div>

            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn--danger" data-bs-dismiss="modal"><?php echo e(__("Cancel")); ?></button>
                <button type="submit" class="btn btn--base"><?php echo e(__("Confirm")); ?></button>
            </div>
        </form>
        </div>
    </div>
</div>
<?php endif; ?>

<?php $__env->stopSection(); ?>
<?php $__env->startPush('script'); ?>
<script>
    $(document).ready(function(){
        <?php if($errors->any()): ?>
        var modal = $('#rejectModal');
        modal.modal('show');
        <?php endif; ?>
    });
</script>
<script>
     (function ($) {
        "use strict";
        $('.approvedBtn').on('click', function () {
            var modal = $('#approvedModal');
            modal.modal('show');
        });
        $('.rejectBtn').on('click', function () {
            var modal = $('#rejectModal');
            modal.modal('show');
        });
    })(jQuery);

</script>
<?php $__env->stopPush(); ?>



<?php echo $__env->make('admin.layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\xampp3\htdocs\escroc\v1.2.0\resources\views/admin/sections/escrow/details.blade.php ENDPATH**/ ?>