 
<?php $__env->startSection('breadcrumb'); ?>
    <?php echo $__env->make('user.components.breadcrumb',['breadcrumbs' => [
        [
            'name'  => __("Dashboard"),
            'url'   => setRoute("user.dashboard"),
        ]
    ], 'active' => __("Escrow Details")], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $__env->stopSection(); ?>
<?php $__env->startPush('css'); ?>
    <style>
        .text-capitalize{
            text-transform: capitalize;
        }
    </style>
<?php $__env->stopPush(); ?>
<?php $__env->startSection('content'); ?>
<div class="body-wrapper">
    <form action="<?php echo e(setRoute('user.my-escrow.confirm')); ?>" class="preview-form" method="POST" enctype="multipart/form-data">
        <?php echo csrf_field(); ?>
        <input type="hidden" value="<?php echo e($identifier); ?>" name="identifier">
        <div class="row mt-20 mb-20-none">
            <div class="col-xl-6 col-lg-6 mb-20">
                <div class="custom-card mt-10">
                    <div class="dashboard-header-wrapper">
                        <h4 class="title"><?php echo e(__("Escrow Details")); ?></h4>
                    </div>
                    <div class="card-body">
                        <div class="preview-list-wrapper">
                            <div class="preview-list-item">
                                <div class="preview-list-left">
                                    <div class="preview-list-user-wrapper">
                                        <div class="preview-list-user-icon">
                                            <i class="las la-heading"></i>
                                        </div>
                                        <div class="preview-list-user-content">
                                            <span><?php echo e(__("Title")); ?></span>
                                        </div>
                                    </div>
                                </div>
                                <div class="preview-list-right">
                                    <span><?php echo e($oldData->title); ?></span>
                                </div>
                            </div>
                            <div class="preview-list-item">
                                <div class="preview-list-left">
                                    <div class="preview-list-user-wrapper">
                                        <div class="preview-list-user-icon">
                                            <i class="las la-user-tag"></i>
                                        </div>
                                        <div class="preview-list-user-content">
                                            <span><?php echo e(__("My Role")); ?></span>
                                        </div>
                                    </div>
                                </div>
                                <div class="preview-list-right">
                                    <span class="text-capitalize role"><?php echo e($oldData->role); ?></span>
                                </div>
                            </div>
                            <div class="preview-list-item">
                                <div class="preview-list-left">
                                    <div class="preview-list-user-wrapper">
                                        <div class="preview-list-user-icon">
                                            <i class="las la-box"></i>
                                        </div>
                                        <div class="preview-list-user-content">
                                            <span><?php echo e(__("Product Type")); ?></span>
                                        </div>
                                    </div>
                                </div>
                                <div class="preview-list-right">
                                    <span><?php echo e($oldData->product_type); ?></span>
                                </div>
                            </div>
                            <div class="preview-list-item">
                                <div class="preview-list-left">
                                    <div class="preview-list-user-wrapper">
                                        <div class="preview-list-user-icon">
                                            <i class="las la-dollar-sign"></i>
                                        </div>
                                        <div class="preview-list-user-content">
                                            <span><?php echo e(__("Total Price")); ?></span>
                                        </div>
                                    </div>
                                </div>
                                <div class="preview-list-right">
                                    <span class="text--success"><?php echo e($oldData->amount); ?> <?php echo e($oldData->escrow_currency); ?></span>
                                </div>
                            </div>
                            <div class="preview-list-item">
                                <div class="preview-list-left">
                                    <div class="preview-list-user-wrapper">
                                        <div class="preview-list-user-icon">
                                            <i class="las la-tags"></i>
                                        </div>
                                        <div class="preview-list-user-content">
                                            <span><?php echo e(__("Charge Payer")); ?></span>
                                        </div>
                                    </div>
                                </div>
                                <div class="preview-list-right">
                                    <span class="text-capitalize">
                                        <?php if($oldData->charge_payer == "half"): ?>
                                            <?php echo e("50%-50%"); ?>

                                        <?php else: ?> 
                                            <?php echo e($oldData->charge_payer); ?>

                                        <?php endif; ?>
                                        
                                    </span>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-xl-6 col-lg-6 mb-20">
                <div class="custom-card mt-10">
                    <div class="dashboard-header-wrapper">
                        <h4 class="title"><?php echo e(__("Payment Details")); ?></h4>
                    </div>
                    <div class="card-body">
                        <div class="preview-list-wrapper">
                            <div class="preview-list-item">
                                <div class="preview-list-left">
                                    <div class="preview-list-user-wrapper">
                                        <div class="preview-list-user-icon">
                                            <i class="las la-battery-half"></i>
                                        </div>
                                        <div class="preview-list-user-content">
                                            <span><?php echo e(__("Fees & Charge")); ?></span>
                                        </div>
                                    </div>
                                </div>
                                <div class="preview-list-right">
                                    <span class="text--warning"><?php echo e(get_amount($oldData->escrow_total_charge,$oldData->escrow_currency)); ?></span>
                                </div>
                            </div>
                            <div class="preview-list-item">
                                <div class="preview-list-left">
                                    <div class="preview-list-user-wrapper">
                                        <div class="preview-list-user-icon">
                                            <i class="las la-wallet"></i>
                                        </div>
                                        <div class="preview-list-user-content">
                                            <span class="sellerGet"><?php echo e(__('Seller Will Get')); ?></span>
                                        </div>
                                    </div>
                                </div>
                                <div class="preview-list-right">
                                    <span><?php echo e(get_amount($oldData->seller_amount,$oldData->escrow_currency)); ?></span>
                                </div>
                            </div>
                            <?php if($oldData->role == "buyer"): ?>
                            <div class="preview-list-item">
                                <div class="preview-list-left">
                                    <div class="preview-list-user-wrapper">
                                        <div class="preview-list-user-icon">
                                            <i class="lab la-get-pocket"></i>
                                        </div>
                                        <div class="preview-list-user-content">
                                            <span><?php echo e(__("Pay With")); ?></span>
                                        </div>
                                    </div>
                                </div>
                                <div class="preview-list-right">
                                    <span><?php echo e($oldData->payment_method); ?></span>
                                </div>
                            </div>
                            <div class="preview-list-item">
                                <div class="preview-list-left">
                                    <div class="preview-list-user-wrapper">
                                        <div class="preview-list-user-icon">
                                            <i class="lab la-get-pocket"></i>
                                        </div>
                                        <div class="preview-list-user-content">
                                            <span><?php echo e(__("Exchange Rate")); ?></span>
                                        </div>
                                    </div>
                                </div>
                                <div class="preview-list-right">
                                    <span>1 <?php echo e($oldData->escrow_currency); ?> = <?php echo e(get_amount($oldData->gateway_exchange_rate,$oldData->gateway_currency)); ?></span>
                                </div>
                            </div>
                            <div class="preview-list-item">
                                <div class="preview-list-left">
                                    <div class="preview-list-user-wrapper">
                                        <div class="preview-list-user-icon">
                                            <i class="las la-money-check-alt"></i>
                                        </div>
                                        <div class="preview-list-user-content">
                                            <span class="last buyerPay"><?php echo e(__('Buyer Will Pay')); ?></span>
                                        </div>
                                    </div>
                                </div>
                                <div class="preview-list-right">
                                    <span class="text--info last"><?php echo e(get_amount($oldData->buyer_amount,$oldData->gateway_currency)); ?></span>
                                </div>
                            </div> 
                            <?php endif; ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <button type="submit" class="btn--base mt-20 w-100"><?php echo e($oldData->role == "buyer" ?  __("Confirm & Pay"):  __("Confirm & Send")); ?></button>
    </form>
</div>
<?php $__env->stopSection(); ?>
<?php $__env->startPush('script'); ?>
    <script>
        $(document).ready(function(){
            var role = $('.role').text();
            if (role == "seller") {
                $('.sellerGet').text(<?php echo e(__('I Will Get')); ?>);
            } 
            if (role == "buyer") {
                $('.buyerPay').text(<?php echo e(__('You Will Pay')); ?>);
            } 
        });
    </script>
<?php $__env->stopPush(); ?>
<?php echo $__env->make('user.layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\xampp3\htdocs\escroc\v1.2.0\resources\views/user/my-escrow/escrow-preview.blade.php ENDPATH**/ ?>