<?php
    $current_url = URL::current();
    $pages = App\Models\Admin\SetupPage::where(['type' => 'setup-page', 'status' => true])->orWhere('slug',"home")->get();
?>
    <!--~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
        Start Header
    ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~-->
    <header class="header-section <?php if($current_url != setRoute('index')): ?> two <?php endif; ?>">
        <div class="header">
            <div class="header-bottom-area">
                <div class="container">
                    <div class="header-menu-content">
                        <nav class="navbar navbar-expand-lg p-0">
                            <a class="site-logo site-title" href="<?php echo e(setRoute('index')); ?>">
                                <img src="<?php echo e(get_logo($basic_settings)); ?>" data-white_img="<?php echo e(get_logo($basic_settings,'white')); ?>"
                                data-dark_img="<?php echo e(get_logo($basic_settings,'dark')); ?>" alt="logo">
                            </a>
                            <button class="navbar-toggler ms-auto" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent"
                                aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
                                <span class="fas fa-bars"></span>
                            </button>
                            <div class="collapse navbar-collapse" id="navbarSupportedContent">
                                <ul class="navbar-nav main-menu ms-auto">
                                    <?php $__currentLoopData = $pages; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?> 
                                    <li><a href="<?php echo e(url($item->url)); ?>" class="nav-link <?php if($current_url == url($item->url)): ?> active <?php endif; ?>"><?php echo e(__($item->title)); ?></a></li>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </ul>
                                <div class="header-language">
                                    <?php
                                        $session_lan = session('local')??get_default_language_code();
                                    ?>
                                    <select name="lang_switch" class="form--control language-select nice-select" id="language-select">
                                        <?php $__currentLoopData = $__languages; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($item->code); ?>" <?php if($session_lan == $item->code): ?> selected  <?php endif; ?>><?php echo e(__($item->name)); ?></option>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </select>
                                </div>
                                <div class="header-action"> 
                                    <?php if(Auth::check()): ?>
                                    <a href="<?php echo e(setRoute('user.dashboard')); ?>" class="btn--base active"><i class="las la-user-tie"></i> <?php echo e(__('Dashboard')); ?></a>
                                    <?php else: ?>
                                    <a href="<?php echo e(setRoute('user.login')); ?>" class="btn--base active"><i class="las la-user-tie"></i> <?php echo e(__('Login/Register')); ?></a>
                                    <?php endif; ?>
                                </div>
                            </div>
                        </nav>
                    </div>
                </div>
            </div>
        </div>
    </header>
    <!--~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
        End Header
    ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~--><?php /**PATH D:\xampp3\htdocs\escroc\v1.2.0\resources\views/frontend/partials/header.blade.php ENDPATH**/ ?>