<?php if(isset($escrow)): ?>
    <div class="support-profile-wrapper">
        <div class="support-profile-header escrow-profile-header">
            <div class="escrow-details-btn-wrapper">
                <?php if($escrow->status == escrow_const()::ONGOING): ?>
                    <?php if($escrow->role == "seller"): ?>
                        <?php if($escrow->user_id == auth()->user()->id): ?>
                        <button type="button" class="btn--base releaseRequest"><?php echo e(__('Release Request')); ?></button>
                        <?php endif; ?> 
                        <?php if($escrow->user_id != auth()->user()->id): ?>
                        <button type="button" class="btn--base releasePayment"><?php echo e(__('Release Payment')); ?></button>
                        <?php endif; ?>
                    <?php endif; ?> 
                    <?php if($escrow->role == "buyer"): ?>
                        <?php if($escrow->user_id == auth()->user()->id): ?>
                        <button type="button" class="btn--base releasePayment"><?php echo e(__('Release Payment')); ?></button>
                        <?php endif; ?> 
                        <?php if($escrow->user_id != auth()->user()->id): ?>
                        <button type="button" class="btn--base releaseRequest"><?php echo e(__('Release Request')); ?></button>
                        <?php endif; ?>
                    <?php endif; ?> 
                    
                    <?php if($escrow->status == escrow_const()::ONGOING): ?>
                        <button type="button" class="btn--base bg--warning disputePayment"><?php echo e(__('Dispute Payment')); ?></button>
                    <?php endif; ?> 
                <?php endif; ?> 
            </div>
            <div class="chat-cross-btn">
                <i class="las la-times"></i>
            </div>
        </div>
        <div class="support-profile-body">
            <div class="support-profile-box">
                <h4 class="title"><?php echo e(__("Escrow Details")); ?></h4>
                <ul class="support-profile-list">
                    <li><?php echo e(__("Title")); ?> : <span class="mb-3 text-right"><?php echo e($escrow->title); ?></span></li>
                    <li><?php echo e(__("My Role")); ?> : <span class="text-capitalize text-right"><?php echo e($escrow->opposite_role); ?></span></li>
                    <li><?php echo e(__("Created By")); ?> : <span class="text-capitalize text-right"><?php echo e($escrow->user->username); ?></span></li>
                    <li><?php echo e(__("Product Type")); ?> : <span class="text-right"><?php echo e($escrow->escrowCategory->name); ?></span></li>
                    <li><?php echo e(__("Total Price")); ?> : <span class="text-right"><?php echo e(get_amount($escrow->amount,$escrow->escrow_currency)); ?></span></li>
                    <li><?php echo e(__("Charge Payer")); ?> : <span class="text-right"><?php echo e($escrow->string_who_will_pay->value); ?></span></li>
                    <li><?php echo e(__("Status")); ?> : <span class="<?php echo e($escrow->string_status->class); ?> text-right"><?php echo e($escrow->string_status->value); ?></span></li>
                    <?php $__currentLoopData = $escrow->file ?? []; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <li><?php echo e(__("Attachment")); ?> : 
                        <span class="text--danger text-right">
                            <a href="<?php echo e(setRoute('file.download', ['escrow-temp-file', $item->attachment])); ?>">
                                <?php echo e(Str::words(json_decode($item->attachment_info)->original_base_name ?? "", 5, '...' . json_decode($item->attachment_info)->extension ?? "" )); ?>

                            </a>
                        </span>
                    </li>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    <li><?php echo e(__("Remarks")); ?> : <span class="mb-3"><?php echo e($escrow->remark); ?></span></li>  
                </ul>
            </div> 
            <div class="support-profile-box">
                <h4 class="title"><?php echo e(__("Payment Details")); ?></h4>
                <ul class="support-profile-list">
                    <li><?php echo e(__("Fees & Charge")); ?> : <span class="text-right"><?php echo e(get_amount($escrow->escrowDetails->fee,$escrow->escrow_currency)); ?></span></li>
                    <li><?php echo e(__("Seller Amount")); ?> : <span class="text-right"><?php echo e(get_amount($escrow->escrowDetails->seller_get,$escrow->escrow_currency)); ?></span></li>
                    <?php if($escrow->payment_type == escrow_const()::GATEWAY): ?>
                    <li><?php echo e(__("Pay with")); ?> : <span class="text-right"><?php echo e($escrow->paymentGatewayCurrency->name); ?></span></li>  
                    <li><?php echo e(__("Exchange Rate")); ?> : <span class="text-right"><?php echo e("1 ".$escrow->escrow_currency." = ".get_amount($escrow->escrowDetails->gateway_exchange_rate,$escrow->paymentGatewayCurrency->currency_code)); ?></span></li>  
                    <li><?php echo e(__("Buyer Paid")); ?> : <span class="text-right"><?php echo e(get_amount($escrow->escrowDetails->buyer_pay,$escrow->paymentGatewayCurrency->currency_code)); ?></span></li>  
                    <?php endif; ?>
                    <?php if($escrow->payment_type == escrow_const()::MY_WALLET): ?>
                    <li><?php echo e(__("Pay with")); ?> : <span class="text-right"><?php echo e("Wallet"); ?></span></li>  
                    <li><?php echo e(__("Exchange Rate")); ?> : <span class="text-right"><?php echo e("1 ".$escrow->escrow_currency." = 1 ".$escrow->escrow_currency); ?></span></li>  
                    <li><?php echo e(__("Buyer Paid")); ?> : <span class="text-right"><?php echo e(get_amount($escrow->escrowDetails->buyer_pay,$escrow->escrow_currency)); ?></span></li>  
                    <?php endif; ?>
                </ul>
            </div> 
        </div>
    </div>
<?php endif; ?>
<?php $__env->startPush('script'); ?>
    <script>
        $(".disputePayment").click(function(){
            var actionRoute =  "<?php echo e(setRoute('user.escrow-action.dispute.payment')); ?>";
            var target      = "<?php echo e($escrow->id); ?>";
            var message     = `Are you sure to <strong>dispute this payment</strong>?`;
            openAlertModal(actionRoute,target,message,"Confirm","POST");
        });
        $(".releasePayment").click(function(){
            var actionRoute =  "<?php echo e(setRoute('user.escrow-action.release.payment')); ?>";
            var target      = "<?php echo e($escrow->id); ?>";
            var message     = `Are you sure to <strong>release this payment</strong>?`;
            openAlertModal(actionRoute,target,message,"Confirm","POST");
        });
        $(".releaseRequest").click(function(){
            var actionRoute =  "<?php echo e(setRoute('user.escrow-action.release.request')); ?>";
            var target      = "<?php echo e($escrow->id); ?>";
            var message     = `Do you want to send a request for <strong>payment</strong>?`;
            openAlertModal(actionRoute,target,message,"Send","POST");
        });
    </script>
<?php $__env->stopPush(); ?>
<?php /**PATH D:\xampp3\htdocs\escroc\v1.2.0\resources\views/user/my-escrow/escrow-details.blade.php ENDPATH**/ ?>