 
<?php $__env->startSection('breadcrumb'); ?>
    <?php echo $__env->make('user.components.breadcrumb',['breadcrumbs' => [
        [
            'name'  => __("Dashboard"),
            'url'   => setRoute("user.dashboard"),
        ]
    ], 'active' => __("Escrow Conversation")], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $__env->stopSection(); ?>
<?php $__env->startPush('css'); ?>
    <style>
        .text-capitalize{
            text-transform: capitalize;
        }
        .text-right{
            float: right
        }
        .previewImage{
            position: absolute;
            bottom: 74px;
        }
    </style>
<?php $__env->stopPush(); ?>
<?php $__env->startSection('content'); ?>
<div class="body-wrapper">
    <div class="custom-card support-card mt-10">
        <div class="support-card-wrapper">
            <div class="card-header">
                <div class="card-header-user-area"> 
                    <div class="card-header-user-content">
                        <h6 class="title"></h6>
                        <span class="sub-title"><?php echo e(__('Escrow ID')); ?> : <span class="text--warning">#<?php echo e($escrow->escrow_id); ?></span></span>
                    </div>
                </div>
                <div class="info-btn">
                    <i class="las la-info-circle"></i>
                </div>
            </div>
            <div class="support-chat-area">
                <div class="chat-container messages">
                    <ul>
                        <?php $__currentLoopData = $escrow->conversations ?? []; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <li class="media media-chat <?php if($item->sender == auth()->user()->id): ?> media-chat-reverse sent <?php else: ?> replies <?php endif; ?>">
                                <img class="avatar" src="<?php echo e($item->senderImage); ?>" alt="Profile">
                                <div class="media-body">
                                    <?php if($item->message !=null): ?>
                                    <p><?php echo e($item->message); ?></p> 
                                    <?php endif; ?> 
                                    <?php if($item->conversationsAttachments != null): ?>
                                    <?php $__currentLoopData = $item->conversationsAttachments; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $file): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?> 
                                        <?php
                                            $file_type = is_object($file->attachment_info) ? explode("/", $file->attachment_info->type)[0] : null;
                                        ?>
                                        
                                        <?php if($file_type == "image"): ?>
                                            <img src="<?php echo e(get_image($file->attachment, 'escrow-conversation')); ?>" style="float: right" alt="<?php echo e($item->file_path); ?>" width="240"> 
                                        <?php else: ?>
                                            <div class="file-attach">
                                                <div class="icon-area">
                                                    <div class="content">
                                                        <?php if(is_object($file->attachment_info)): ?>
                                                            <h6 class="title"><?php echo e($file->attachment_info->original_name); ?></h6>
                                                        <?php endif; ?>
                                                    </div>
                                                </div>
                                                <a href="<?php echo e(setRoute('file.download', ['escrow-conversation', $file->attachment])); ?>" class="download-btn"><i class="las la-cloud-download-alt"></i></a>
                                            </div>
                                        <?php endif; ?>
                                         
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    <?php endif; ?>
                                </div>
                            </li>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </ul>
                </div>
                <div class="chat-form">
                    <div class="publisher">
                        <span class="publisher-btn file-group">
                            <input type="file" id="fileUpload" accept=".jpg,.jpeg,.png,.pdf,.doc,.xls,.xlsx">
                            <label for="fileUpload"><i class="fa fa-paperclip"></i></label>
                        </span>
                        <div class="chatbox-message-part">
                            <div id="file-preview"></div>
                            <input class="publisher-input message-input message-input-event" type="text" name="message" placeholder="Write something....">
                        </div>
                        <div class="chatbox-send-part">
                            <button type="button" class="chat-submit-btn chat-submit-btn-event"><i class="lab la-telegram-plane"></i></button>
                        </div>
                    </div>
                </div>
            </div>
        </div>  
        <?php echo $__env->make('user.my-escrow.escrow-details',['escrow' => $escrow], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    </div>
</div>
<?php $__env->stopSection(); ?>
<?php $__env->startPush('script'); ?>
    <?php if(isset($escrow) && isset($escrow->id)): ?>
        <?php if($basic_settings->broadcast_config != null && $basic_settings->broadcast_config->method == "pusher"): ?>
            <script src="https://js.pusher.com/7.2/pusher.min.js"></script>
            <script>
                var primaryKey = "<?php echo e($basic_settings->broadcast_config->primary_key ?? ''); ?>";
                var cluster = "<?php echo e($basic_settings->broadcast_config->cluster ?? ""); ?>";
                var userProfile = "<?php echo e(get_image(auth()->user()->userImage,'user-profile')); ?>";
                var pusher = new Pusher(primaryKey,{cluster: cluster});
                var token         = "<?php echo e($escrow->id ?? ""); ?>";
                var URL           = "<?php echo e(setRoute('user.escrow-action.message.send') ?? ""); ?>";
                var fileUploadUrl = "<?php echo e(setRoute('user.escrow-action.conversation.file.upload')); ?>";
                var conversationFilePath = "<?php echo e(files_asset_path('escrow-conversation')); ?>";
                var FileDownloadBaseURL = "<?php echo e(setRoute('file.download',['escrow-conversation',''])); ?>";
                var channel       = pusher.subscribe('support.conversation.'+token);

                channel.bind('escrow-conversation', function(data) {
                    data = JSON.stringify(data);
                    data = JSON.parse(data);
                    var addClass = "";
                    if(data.conversation.sender == <?php echo e(auth()->user()->id); ?>) {
                        addClass = "media-chat-reverse";
                    }
                    if(data.attachments.length > 0) {
                        // Message Contain Files
                        var imageFiles = '';
                        var otherFiles = '';
                        $.each(data.attachments,function(index,item) {
                            console.log(item);
                            if(item.attachment_info.type.split("/").shift() == "image") {
                                imageFiles += `
                                    <div class="image-attach">
                                        <img src="${conversationFilePath}/${item.attachment}" alt="image" width="320">
                                    </div>
                                `
                            }else {
                                otherFiles += `
                                    <div class="file-attach">
                                        <div class="icon-area">
                                            <div class="content">
                                                <h6 class="title">${item.attachment}</h6>
                                            </div>
                                        </div>
                                        <a href="${FileDownloadBaseURL}/${item.attachment}" class="download-btn"><i class="las la-cloud-download-alt"></i></a>
                                    </div>
                                `;
                            }

                        });
                        var chatBlock = `
                            <li class="media media-chat ${addClass} replies">
                                <img class="avatar" src="${data.senderImage}" alt="user">
                                <div class="media-body">
                                    ${data.conversation.message !== null ? `<p>${data.conversation.message}</p>` : ''}
                                    <div class="image-attach-wrapper" ${ imageFiles.length > 0 ? `style="min-height:30px"` : ""}>
                                        ${imageFiles}
                                    </div>
                                    ${otherFiles}
                                </div>
                            </li>
                        `;
                    }else {
                        var chatBlock = `
                            <li class="media media-chat ${addClass} replies">
                                <img class="avatar" src="${data.senderImage}" alt="user">
                                <div class="media-body">
                                    <p>${data.conversation.message}</p>
                                </div>
                            </li>
                        `;
                    } 
                    $(".support-chat-area .messages ul").append(chatBlock);
                });
                $(document).on("keyup",".message-input-event",function(e){
                    if(e.which == 13) {
                        $(this).removeClass("message-input-event");
                        eventInit($(this),'message-input-event');
                    }
                });
                $(document).on("click",".chat-submit-btn-event",function(e) {
                    e.preventDefault();
                    $(this).removeClass("chat-submit-btn-event");
                    eventInit($(this),'chat-submit-btn-event');
                });
                function eventInit(e,removeClass) {
                    var CSRF = "<?php echo e(csrf_token()); ?>";
                    var inputValue = $(".message-input").val();
                    var fileInput = $("#fileUpload")[0]; 
                    // Check if a file is selected
                    if (fileInput && fileInput.files && fileInput.files[0]) {
                        var formData = new FormData();
                        formData.append('_token', CSRF);
                        formData.append('file', fileInput.files[0]); // Assuming you have a single file input
                        $.ajax({
                            url: fileUploadUrl,
                            type: 'POST',
                            data: formData,
                            processData: false,
                            contentType: false,
                            success: function(response) {
                                var data = {
                                    _token: CSRF,
                                    escrow_id: token,
                                    message: inputValue,
                                    file: response.data,
                                };
                                $.post(URL,data,function(response) {
                                }).done(function(response){
                                    $(".message-input").val("");
                                    $("#file-preview").html("");
                                    fileInput.value = ""; // Reset the file input value
                                    $(e).addClass(removeClass);
                                }).fail(function(response) {
                                    var response = JSON.parse(response.responseText);
                                    throwMessage(response.type,response.message.error);
                                    $(e).addClass(removeClass);
                                });
                            },
                            error: function(response) {
                                var responseObj = JSON.parse(response.responseText);
                                throwMessage(responseObj.type, responseObj.message.error);
                                $(e).addClass(removeClass);
                            }
                        });
                    }else {
                        var data = {
                            _token: CSRF,
                            escrow_id: token,
                            message: inputValue, 
                        };
                        $.post(URL,data,function(response) {
                        // Executed
                        }).done(function(response){
                            $(".message-input").val("");
                            $(e).addClass(removeClass);
                        }).fail(function(response) {
                            var response = JSON.parse(response.responseText);
                            throwMessage(response.type,response.message.error);
                            $(e).addClass(removeClass);
                        });
                    } 
                }
            </script>
            <script>
                  $('#fileUpload').on('change', function (e) {
                    var fileInput = e.target;
                    var file = fileInput.files[0];
                    if (file) {
                        if (file.type.match('image.*')) {
                            var reader = new FileReader();
                            reader.onload = function (e) {
                                $('#file-preview').html('<img src="' + e.target.result + '" alt="File Preview" class="previewImage" width="220">');
                            };
                            reader.readAsDataURL(file);
                        } else {
                            // Non-image file
                            $('#file-preview').html('<p class="previewImage">' + file.name + '</p>');
                        }
                    }
                });
            </script>
        <?php endif; ?>
    <?php endif; ?>
<?php $__env->stopPush(); ?>




<?php echo $__env->make('user.layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\xampp3\htdocs\escroc\v1.2.0\resources\views/user/my-escrow/conversation.blade.php ENDPATH**/ ?>