
<?php
    $defualt = get_default_language_code()??'en';
    $default_lng = 'en';
?>
<?php $__env->startSection('content'); ?> 
    <!--~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
        Start Banner
    ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~-->
    <section class="banner-section bg_img" data-background="<?php echo e(asset('public/frontend/images/element/banner-bg.png')); ?>">
        <div class="container">
            <div class="row align-items-center mb-30-none">
                <div class="col-xxl-6 col-xl-5 col-lg-12 mb-30">
                    <div class="banner-content">
                        <span class="sub-title"><?php echo e(@$banner->value->language->$defualt->left_heading ?? ""); ?></span>
                        <h1 class="title cd-headline clip">
                            <?php echo e(@$banner->value->language->$defualt->left_sub_heading ?? ""); ?>

                            <span class="cd-words-wrapper">
                                <b class="is-visible"><?php echo e(@$banner->value->language->$defualt->left_input_one ?? ""); ?></b>
                                <b><?php echo e(@$banner->value->language->$defualt->left_input_two ?? ""); ?></b>
                            </span>
                        </h1>
                        <p><?php echo e(@$banner->value->language->$defualt->left_details ?? ""); ?></p>
                        <div class="banner-btn">
                            <a href="<?php echo e(setRoute('user.register')); ?>" class="btn--base"><?php echo e(@$banner->value->language->$defualt->left_button ?? ""); ?></a>
                        </div>
                    </div>
                </div>
                <div class="col-xxl-6 col-xl-7 col-lg-12 mb-30">
                    <div class="banner-form-wrapper">
                        <div class="ribbon-top-right"><?php echo e(@$banner->value->language->$defualt->right_input_two ?? "Popular"); ?></div>
                        <h2 class="title"><?php echo e(@$banner->value->language->$defualt->right_heading ?? ""); ?></h2>
                        <p><?php echo e(@$banner->value->language->$defualt->right_details ?? ""); ?></p>
                        <form action="<?php echo e(route('user.my-escrow.add')); ?>" method="get" class="banner-form">
                            <div class="banner-form-group">
                                <div class="left-field">
                                    <div class="field-input">
                                        <div class="field-preffix">
                                            <div class="field-preffix-wrapper">
                                                <span class="field-preffix-label"><?php echo e(__("I'm")); ?></span>
                                            </div>
                                        </div>
                                        <div class="field-select">
                                            <select class="form--control nice-select" name="role">
                                                <option value="seller"><?php echo e(__('Selling')); ?></option>
                                                <option value="buyer"><?php echo e(__('Buying')); ?></option>
                                            </select>
                                        </div>
                                    </div>
                                </div>
                                <div class="right-field">
                                    <div class="field-input">
                                        <input type="text" class="banner-input" data-target="field-focusable" id="field-calculator-search" name="title" placeholder="<?php echo e(@$banner->value->language->$defualt->right_input_one ?? ""); ?>" data-component="calculator-price" aria-describedby=" error-price" data-e2e-target="calculator-price-input" autocomplete="off">
                                    </div>
                                </div>
                            </div>
                            <div class="banner-form-group">
                                <div class="field-price">
                                    <div class="field-input">
                                        <div class="field-preffix">
                                            <div class="field-preffix-wrapper">
                                                <span class="field-preffix-label currency-symbol"><?php echo e(__('for')); ?> $</span>
                                            </div>
                                        </div>
                                        <input type="text" class="defaultInput" data-target="field-focusable" id="amount" value="1000" name="amount" step="10" min="0" data-component="calculator-price" aria-describedby=" error-price" data-e2e-target="calculator-price-input" autocomplete="off">
                                    </div>
                                </div>
                                <div class="select-field">
                                    <div class="field-select">
                                        <select class="form--control nice-select" name="escrow_currency">
                                            <?php $__currentLoopData = $currencies ?? []; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <option value="<?php echo e($item->code); ?>" data-symbol="<?php echo e($item->symbol); ?>"><?php echo e($item->code); ?></option>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                             
                                        </select>
                                    </div>
                                </div>
                            </div>
                            <button type="submit" class="btn--base mt-10"><?php echo e(@$banner->value->language->$defualt->right_button ?? "Get Started Now"); ?></button>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!--~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
        End Banner
    ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~-->
    <!--~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
        Start Brand
    ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~-->
    <section class="brand-section pt-80">
        <div class="container">
            <div class="brand-slider">
                <div class="swiper-wrapper">
                    <?php $__currentLoopData = $brand->value->items ?? []; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <div class="swiper-slide">
                        <div class="brand-item">
                            <a href="#0" class="brand-thumb">
                                <div class="front">
                                    <img src="<?php echo e(get_image($item->front_image, "site-section")); ?>" alt="brand">
                                </div>
                                <div class="back">
                                    <img src="<?php echo e(get_image($item->front_image, "site-section")); ?>" alt="brand">
                                </div>
                            </a>
                        </div>
                    </div>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </div>
            </div>
        </div>
    </section>
    <!--~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
        End Brand
    ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~-->
    <!--~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
        Start About
    ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~-->
    <section class="about-section ptb-80">
        <div class="circle-blur"></div>
        <div class="container">
            <div class="row justify-content-center align-items-center mb-30-none">
                <div class="col-xl-6 col-lg-6 mb-30">
                    <div class="about-thumb">
                        <img src="<?php echo e(get_image($about->value->image,"site-section")); ?>" alt="element">
                    </div>
                </div>
                <div class="col-xl-6 col-lg-6 mb-30">
                    <div class="about-content">
                        <span class="sub-title gradient-text"><?php echo e(@$about->value->language->$defualt->heading); ?></span>
                        <h2 class="title"><?php echo e(@$about->value->language->$defualt->sub_heading); ?></h2>
                        <p><?php echo e(@$about->value->language->$defualt->details); ?></p>
                        <ul class="about-list">
                            <?php $__currentLoopData = $about->value->items ?? []; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <li><i class="<?php echo e($item->icon ?? "fas fa-check"); ?>"></i> <?php echo e($item->language->$defualt->title ?? ""); ?></li>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!--~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
        End About
    ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~-->
    <!--~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
        Start Service
    ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~-->
    <section class="service-section section--bg ptb-80">
        <div class="circle-blur"></div>
        <div class="container">
            <div class="row justify-content-center">
                <div class="col-xl-5 col-lg-6 text-center">
                    <div class="section-header">
                        <span class="section-sub-title"><span class="gradient-text"><?php echo e(@$service->value->language->$defualt->heading); ?></span></span>
                        <h2 class="section-title"><?php echo e(@$service->value->language->$defualt->sub_heading); ?></h2>
                    </div>
                </div>
            </div>
            <div class="row justify-content-center mb-60-none">
                <?php $__currentLoopData = $service->value->items ?? []; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <div class="col-xl-4 col-lg-4 col-md-6 col-sm-6 mb-60">
                    <div class="service-item">
                        <div class="service-icon gradient-text">
                            <i class="<?php echo e($item->icon ?? "fas fa-check"); ?>"></i>
                        </div>
                        <div class="service-content">
                            <h4 class="title"><?php echo e(@$item->language->$defualt->title ?? ""); ?></h4>
                            <p><?php echo e(@$item->language->$defualt->details ?? ""); ?></p>
                        </div>
                    </div>
                </div>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </div>
        </div>
    </section>
    <!--~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
        End Service
    ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~-->
    <!--~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
        Start Feature
    ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~-->
    <section class="feature-section pt-80">
        <div class="container">
            <div class="row justify-content-center align-items-center mb-30-none">
                <div class="col-xl-6 col-lg-6 mb-30">
                    <div class="feature-content-wrapper">
                        <div class="feature-content-header">
                            <span class="sub-title gradient-text"><?php echo e($feature->value->language->$defualt->heading ?? ""); ?></span>
                            <h2 class="title"><?php echo e($feature->value->language->$defualt->sub_heading ?? ""); ?></h2>
                        </div>
                        <div class="feature-item-wrapper">
                            <?php $__currentLoopData = $feature->value->items ?? []; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <div class="feature-item <?php echo e($loop->index == 0 ? 'active' : ''); ?>">
                                <div class="feature-icon">
                                    <i class="<?php echo e($item->icon ?? "fas fa-check"); ?> gradient-text"></i>
                                </div>
                                <div class="feature-content">
                                    <h4 class="title"><?php echo e($item->language->$defualt->title ?? ""); ?></h4>
                                    <p><?php echo e($item->language->$defualt->details ?? ""); ?></p>
                                </div>
                            </div> 
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?> 
                        </div>
                    </div>
                </div>
                <div class="col-xl-6 col-lg-6 mb-30">
                    <div class="feature-thumb">
                        <img src="<?php echo e(get_image($feature->value->image ?? "","site-section")); ?>" alt="element">
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!--~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
        End Feature
    ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~-->
    <!--~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
        Start Testimonial
    ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~-->
    <section class="testimonial-section pt-80">
        <div class="circle-blur"></div>
        <div class="container">
            <div class="row justify-content-center">
                <div class="col-xl-7 col-lg-7 text-center">
                    <div class="section-header">
                        <span class="section-sub-title"><span class="gradient-text"><?php echo e($testimonial->value->language->$defualt->heading ?? ""); ?></span></span>
                        <h2 class="section-title"><?php echo e($testimonial->value->language->$defualt->sub_heading ?? ""); ?></h2>
                    </div>
                </div>
            </div>
            <div class="row justify-content-center">
                <div class="col-xl-10 col-lg-12">
                    <div class="testimonial-area">
                        <div class="testimonial-slider">
                            <div class="swiper-wrapper">
                                <?php $__currentLoopData = $testimonial->value->items ?? []; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <div class="swiper-slide">
                                    <div class="testimonial-item">
                                        <div class="testimonial-content">
                                            <div class="testimonial-ratings">
                                                <?php for($i = 0; $i < $item->icon_show; $i++): ?>
                                                <i class="fas fa-star"></i>
                                                <?php endfor; ?> 
                                            </div>
                                            <p><?php echo e(@$item->language->$defualt->details ?? ""); ?></p>
                                            <div class="testimonial-user-wrapper">
                                                <div class="testimonial-user-thumb">
                                                    <img src="<?php echo e(get_image($item->user_image ?? "","site-section")); ?>" alt="user">
                                                </div>
                                                <div class="testimonial-user-content">
                                                    <h4 class="title"><?php echo e($item->user_name ?? ""); ?></h4>
                                                    <span class="sub-title"><?php echo e($item->user_type ?? ""); ?></span>
                                                </div>
                                            </div>
                                        </div>
                                    </div> 
                                </div> 
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!--~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
        End Testimonial
    ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~-->
    <!--~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
        Start Blog
    ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~-->
    <section class="blog-section ptb-80">
        <div class="container">
            <div class="row justify-content-center">
                <div class="col-xl-7 col-lg-7 text-center">
                    <div class="section-header">
                        <span class="section-sub-title"><span class="gradient-text"><?php echo e(__('Blog')); ?></span></span>
                        <h2 class="section-title"><?php echo e(__('See Our Recent Blog')); ?></h2>
                    </div>
                </div>
            </div>
            <div class="row justify-content-center mb-30-none">
                <?php $__currentLoopData = $blogs ?? []; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <div class="col-xl-4 col-lg-4 col-md-6 col-sm-6 mb-30">
                    <div class="blog-item">
                        <div class="blog-thumb">
                            <img src="<?php echo e(get_image($item->image,'blog')); ?>" alt="blog">
                            <div class="blog-tags">
                                <a href="<?php echo e(setRoute('blog.by.category',[$item->category->id, $item->category->slug])); ?>" class="tags"><?php echo e($item->category->name); ?></a>
                                <a href="<?php echo e(setRoute('blog.by.category',[$item->category->id, $item->category->slug])); ?>" class="tag-icon">
                                    <svg xmlns="http://www.w3.org/2000/svg" width="16" height="10" viewBox="0 0 16 10">
                                        <polygon fill-rule="evenodd" points="104.988 9.2 109.488 9.2 109.488 13.7 107.76 11.972 103.062 16.688 100.074 13.7 95.574 18.2 94.512 17.138 100.074 11.594 103.062 14.582 106.716 10.928" transform="translate(-94 -9)"></polygon>
                                    </svg>
                                </a>
                            </div>
                        </div>
                        <div class="blog-content">
                            <div class="blog-info">
                                <div class="author">
                                    <span><?php echo e($item->admin->firstname ." ". $item->admin->lastname); ?></span>
                                </div>
                                <div class="date">
                                    <span><?php echo e(showDate($item->created_at)); ?></span>
                                </div>
                            </div>
                            <h3 class="title"><a href="<?php echo e(route('blog.details',[$item->id,$item->slug])); ?>"><?php echo e(@$item->name->language->$defualt->name); ?></a></h3>
                            <div class="blog-btn">
                                <a href="<?php echo e(route('blog.details',[$item->id,$item->slug])); ?>" class="custom-btn"><?php echo e(__('Read More')); ?> <i class="las la-caret-right"></i></a>
                            </div>
                        </div>
                    </div>
                </div> 
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </div>
        </div>
    </section>
    <!--~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
        End Blog
    ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~-->
    <?php echo $__env->make('frontend.partials.app-section', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
<?php $__env->stopSection(); ?>
<?php $__env->startPush('script'); ?>
    <script>
        $(document).ready(function(){
            currencyCheck();
        });
        $('select[name=escrow_currency]').on('change',function(){ 
            currencyCheck();
        });
        function currencyCheck(){
            var currencySymbol = $("select[name=escrow_currency] :selected").attr("data-symbol"); 
            $('.currency-symbol').text(<?php echo e(__('for')); ?>+ currencySymbol);
        }

        const numberField = document.getElementById('amount'); 
        numberField.addEventListener('input', function (e) {
            const input = e.target.value;
            // Use a regular expression to match only numeric characters
            const numericInput = input.replace(/[^0-9]/g, '');
            // Set the input field value to the numeric input
            e.target.value = numericInput;
        });
    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('frontend.layouts.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\xampp3\htdocs\escroc\v1.2.0\resources\views/frontend/index.blade.php ENDPATH**/ ?>